#!/usr/bin/env bash 

export docker_version=19.03.15
export install_dir=/usr/local/src
export docker_compose_ver='1.21.2'
export docker_compose_url=https://mirrors.aliyun.com/docker-toolbox/linux/compose/${docker_compose_ver}/docker-compose-`uname -s`-`uname -m`

[[ -e "$install_dir/docker-${docker_version}-$(uname -m).tgz" ]] || wget -O $install_dir/docker-${docker_version}-$(uname -m).tgz https://su.bcebos.com/gitee-suzhou/qiush/docker-${docker_version}-$(uname -m).tgz?authorization=bce-auth-v1%2Ff1bb2680fab24746ae88023d60e683b3%2F2023-03-21T10%3A55%3A34Z%2F-1%2F%2F20dc2126bb5c8f925d38a123f555f9c4538482bfe992e6f6af0dd51900c5cf6f

if systemctl is-active docker --quiet 
then
    echo "Docker运行中..."
else
    tar axvf ${install_dir}/docker-${docker_version}-$(uname -m).tgz -C /usr/bin
    [[ -d /etc/docker ]] || mkdir -p /etc/docker
    cp -rf $PWD/config/docker.service /usr/lib/systemd/system/docker.service 
    cp -rf $PWD/config/daemon.json /etc/docker/

    systemctl enable docker --now

    
    [[ -e /usr/local/bin/docker-compose ]] || curl -skL ${docker_compose_url} -o /usr/local/bin/docker-compose
fi
