SET AUTOCOMMIT=0;
SET UNIQUE_CHECKS=0;
SET FOREIGN_KEY_CHECKS=0;

/*!40000 DROP DATABASE IF EXISTS `xxl_job`*/;

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `xxl_job` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `xxl_job`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xxl_job_group` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `app_name` varchar(64) NOT NULL COMMENT '执行器AppName',
  `title` varchar(12) NOT NULL COMMENT '执行器名称',
  `address_type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '执行器地址类型：0=自动注册、1=手动录入',
  `address_list` varchar(512) DEFAULT NULL COMMENT '执行器地址列表，多地址逗号分隔',
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
INSERT INTO `xxl_job_group` VALUES (1,'xxl-job-executor-sample','示例执行器',0,NULL,'2023-04-01 21:05:19'),(2,'job-executer-local','定时执行',1,'http://192.168.2.50:9996/','2023-03-26 21:56:36');
commit;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xxl_job_info` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `job_group` int(11) NOT NULL COMMENT '执行器主键ID',
  `job_cron` varchar(128) NOT NULL DEFAULT '0' COMMENT '任务执行CRON',
  `job_desc` varchar(255) NOT NULL,
  `add_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  `author` varchar(64) DEFAULT NULL COMMENT '作者',
  `alarm_email` varchar(255) DEFAULT NULL COMMENT '报警邮件',
  `executor_route_strategy` varchar(50) DEFAULT NULL COMMENT '执行器路由策略',
  `executor_handler` varchar(255) DEFAULT NULL COMMENT '执行器任务handler',
  `executor_param` varchar(512) DEFAULT NULL COMMENT '执行器任务参数',
  `executor_block_strategy` varchar(50) DEFAULT NULL COMMENT '阻塞处理策略',
  `executor_timeout` int(11) NOT NULL DEFAULT '0' COMMENT '任务执行超时时间，单位秒',
  `executor_fail_retry_count` int(11) NOT NULL DEFAULT '0' COMMENT '失败重试次数',
  `glue_type` varchar(50) NOT NULL COMMENT 'GLUE类型',
  `glue_source` mediumtext COMMENT 'GLUE源代码',
  `glue_remark` varchar(128) DEFAULT NULL COMMENT 'GLUE备注',
  `glue_updatetime` datetime DEFAULT NULL COMMENT 'GLUE更新时间',
  `child_jobid` varchar(255) DEFAULT NULL COMMENT '子任务ID，多个逗号分隔',
  `trigger_status` tinyint(4) NOT NULL DEFAULT '0' COMMENT '调度状态：0-停止，1-运行',
  `trigger_last_time` bigint(20) NOT NULL DEFAULT '0' COMMENT '上次调度时间',
  `trigger_next_time` bigint(20) NOT NULL DEFAULT '0' COMMENT '下次调度时间',
  `schedule_type` varchar(255) DEFAULT NULL,
  `schedule_conf` varchar(255) DEFAULT NULL,
  `misfire_strategy` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
INSERT INTO `xxl_job_info` VALUES (1,1,'0 0 0 * * ? *','测试任务1','2018-11-03 22:21:31','2018-11-03 22:21:31','XXL','','FIRST','demoJobHandler','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2018-11-03 22:21:31','',0,0,0,NULL,NULL,NULL),(2,2,'0 0 1 1 * ?','每年执行','2021-01-14 14:15:44','2023-03-02 00:03:46','admin','','FIRST','everyYearExecuteJobHandler','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2021-01-14 14:15:44','',0,0,0,'CRON','0 0 1 1 * ?','DO_NOTHING'),(3,2,'0 0 1 1 * ? ','每月执行','2021-01-14 14:16:10','2023-03-02 00:03:43','admin','','FIRST','everyMonthExecuteJobHandler','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2021-01-14 14:16:10','',0,0,0,'CRON','0 0 1 1 * ? ','DO_NOTHING'),(4,2,'0 0 0/1 * * ? ','每小时执行','2021-01-14 14:16:33','2023-03-02 00:03:41','admin','','FIRST','everyHourExecuteJobHandler','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2021-01-14 14:16:33','',0,0,0,'CRON','0 0 0/1 * * ? ','DO_NOTHING'),(5,2,'0 0 0 * * ?','每日执行','2021-01-14 14:16:55','2023-03-02 00:03:38','admin','','FIRST','everyDayExecuteJobHandler','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2021-01-14 14:16:55','',0,0,0,'CRON','0 0 0 * * ?','DO_NOTHING'),(6,2,'* 0/10 * * * ?','每十分钟执行','2021-01-14 14:33:44','2023-03-02 00:03:34','admin','','FIRST','everyTenMinutesExecuteJobHandler','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2021-01-14 14:33:44','',0,0,0,'CRON','* 0/10 * * * ?','DO_NOTHING'),(7,2,'0','每两秒执行','2023-02-19 23:50:45','2023-02-28 15:54:55','admin','2294078074@qq.com','FIRST','EveryPerSecondExecuteJobHandler','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2023-02-19 23:50:45','',0,0,0,'CRON','0/2 * * * * ?','FIRE_ONCE_NOW'),(9,2,'0','每日执行开盲盒计划','2023-02-23 21:19:15','2023-03-01 05:55:53','admin','2294078074@qq.com','FIRST','everyDailyExecuteJobHandler','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2023-02-23 21:19:15','',0,0,0,'CRON','0 */1 * * * ?','DO_NOTHING'),(10,2,'0','每日执行开盲盒计划ONE','2023-02-24 03:19:42','2023-03-10 17:56:18','admin','2294078074@qq.com','FIRST','everyDailyExecuteJobHandlerOne','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2023-02-24 03:19:42','',0,0,0,'CRON','0 */2 * * * ?','DO_NOTHING'),(11,2,'0','每日开盲盒计划还款计划','2023-03-17 23:07:45','2023-03-17 23:07:45','admin','','FIRST','everyDailyExecuteJobHandlerPayPlan','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2023-03-17 23:07:45','',0,0,0,'CRON','0 */1 * * * ?','DO_NOTHING'),(12,2,'0','每日执行开盲盒计划付款计划','2023-03-17 23:08:45','2023-03-17 23:08:45','admin','','FIRST','everyDailyExecuteJobHandlerPayRepayment','','SERIAL_EXECUTION',0,0,'BEAN','','GLUE代码初始化','2023-03-17 23:08:45','',0,0,0,'CRON','0 */1 * * * ?','DO_NOTHING');
commit;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xxl_job_lock` (
  `lock_name` varchar(50) NOT NULL COMMENT '锁名称',
  PRIMARY KEY (`lock_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
INSERT INTO `xxl_job_lock` VALUES ('schedule_lock');
commit;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xxl_job_log` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `job_group` int(11) NOT NULL COMMENT '执行器主键ID',
  `job_id` int(11) NOT NULL COMMENT '任务，主键ID',
  `executor_address` varchar(255) DEFAULT NULL COMMENT '执行器地址，本次执行的地址',
  `executor_handler` varchar(255) DEFAULT NULL COMMENT '执行器任务handler',
  `executor_param` varchar(512) DEFAULT NULL COMMENT '执行器任务参数',
  `executor_sharding_param` varchar(20) DEFAULT NULL COMMENT '执行器任务分片参数，格式如 1/2',
  `executor_fail_retry_count` int(11) NOT NULL DEFAULT '0' COMMENT '失败重试次数',
  `trigger_time` datetime DEFAULT NULL COMMENT '调度-时间',
  `trigger_code` int(11) NOT NULL COMMENT '调度-结果',
  `trigger_msg` text COMMENT '调度-日志',
  `handle_time` datetime DEFAULT NULL COMMENT '执行-时间',
  `handle_code` int(11) NOT NULL COMMENT '执行-状态',
  `handle_msg` text COMMENT '执行-日志',
  `alarm_status` tinyint(4) NOT NULL DEFAULT '0' COMMENT '告警状态：0-默认、1-无需告警、2-告警成功、3-告警失败',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `I_trigger_time` (`trigger_time`) USING BTREE,
  KEY `I_handle_code` (`handle_code`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=157 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
INSERT INTO `xxl_job_log` VALUES (155,2,7,NULL,'EveryPerSecondExecuteJobHandler','',NULL,0,'2023-03-26 15:14:50',500,'任务触发类型：Cron触发<br>调度机器：10.244.36.231<br>执行器-注册方式：自动注册<br>执行器-地址列表：null<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>调度失败：执行器地址为空<br><br>',NULL,0,NULL,3),(156,2,7,'http://192.168.2.50:9996/','EveryPerSecondExecuteJobHandler','',NULL,0,'2023-03-26 21:56:46',200,'任务触发类型：手动触发<br>调度机器：10.244.36.231<br>执行器-注册方式：手动录入<br>执行器-地址列表：[http://192.168.2.50:9996/]<br>路由策略：第一个<br>阻塞处理策略：单机串行<br>任务超时时间：0<br>失败重试次数：0<br><br><span style=\"color:#00c0ef;\" > >>>>>>>>>>>触发调度<<<<<<<<<<< </span><br>触发调度：<br>address：http://192.168.2.50:9996/<br>code：200<br>msg：null','2023-03-26 22:07:03',500,'任务结果丢失，标记失败',3);
commit;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xxl_job_log_report` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `trigger_day` datetime DEFAULT NULL COMMENT '调度-时间',
  `running_count` int(11) NOT NULL DEFAULT '0' COMMENT '运行中-日志数量',
  `suc_count` int(11) NOT NULL DEFAULT '0' COMMENT '执行成功-日志数量',
  `fail_count` int(11) NOT NULL DEFAULT '0' COMMENT '执行失败-日志数量',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `i_trigger_day` (`trigger_day`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=49 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
INSERT INTO `xxl_job_log_report` VALUES (1,'2021-01-13 16:00:00',0,5,0),(2,'2021-01-12 16:00:00',0,0,0),(3,'2021-01-11 16:00:00',0,0,0),(4,'2023-02-18 00:00:00',0,0,0),(5,'2023-02-17 00:00:00',0,0,0),(6,'2023-02-16 00:00:00',0,0,0),(7,'2023-02-19 00:00:00',0,0,0),(8,'2023-02-20 00:00:00',0,0,6),(9,'2023-02-21 00:00:00',0,0,0),(10,'2023-02-22 00:00:00',0,0,0),(11,'2023-02-23 00:00:00',0,0,21),(12,'2023-02-24 00:00:00',0,0,0),(13,'2023-02-25 00:00:00',0,0,0),(14,'2023-02-26 00:00:00',0,0,0),(15,'2023-02-27 00:00:00',0,0,0),(16,'2023-02-28 00:00:00',0,0,0),(17,'2023-03-01 00:00:00',0,0,0),(18,'2023-03-02 00:00:00',0,0,0),(19,'2023-03-03 00:00:00',0,0,4),(20,'2023-03-04 00:00:00',0,0,1),(21,'2023-03-05 00:00:00',0,0,0),(22,'2023-03-06 00:00:00',0,0,0),(23,'2023-03-07 00:00:00',0,0,0),(24,'2023-03-08 00:00:00',0,0,0),(25,'2023-03-09 00:00:00',0,0,0),(26,'2023-03-10 00:00:00',0,0,4),(27,'2023-03-11 00:00:00',0,0,0),(28,'2023-03-12 00:00:00',0,0,0),(29,'2023-03-13 00:00:00',0,0,0),(30,'2023-03-14 00:00:00',0,0,0),(31,'2023-03-15 00:00:00',0,0,0),(32,'2023-03-16 00:00:00',0,0,0),(33,'2023-03-17 00:00:00',0,0,0),(34,'2023-03-18 00:00:00',0,0,0),(35,'2023-03-19 00:00:00',0,0,0),(36,'2023-03-20 00:00:00',0,0,0),(37,'2023-03-21 00:00:00',0,0,0),(38,'2023-03-22 00:00:00',0,0,0),(39,'2023-03-23 00:00:00',0,0,0),(40,'2023-03-24 00:00:00',0,0,0),(41,'2023-03-25 00:00:00',0,0,0),(42,'2023-03-26 00:00:00',0,0,2),(43,'2023-03-27 00:00:00',0,0,0),(44,'2023-03-28 00:00:00',0,0,0),(45,'2023-03-29 00:00:00',0,0,0),(46,'2023-03-30 00:00:00',0,0,0),(47,'2023-03-31 00:00:00',0,0,0),(48,'2023-04-01 00:00:00',0,0,0);
commit;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xxl_job_logglue` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `job_id` int(11) NOT NULL COMMENT '任务，主键ID',
  `glue_type` varchar(50) DEFAULT NULL COMMENT 'GLUE类型',
  `glue_source` mediumtext COMMENT 'GLUE源代码',
  `glue_remark` varchar(128) NOT NULL COMMENT 'GLUE备注',
  `add_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
commit;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xxl_job_registry` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `registry_group` varchar(50) NOT NULL,
  `registry_key` varchar(255) NOT NULL,
  `registry_value` varchar(255) NOT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  KEY `i_g_k_v` (`registry_group`,`registry_key`,`registry_value`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
commit;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `xxl_job_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(50) NOT NULL COMMENT '账号',
  `password` varchar(50) NOT NULL COMMENT '密码',
  `role` tinyint(4) NOT NULL COMMENT '角色：0-普通用户、1-管理员',
  `permission` varchar(255) DEFAULT NULL COMMENT '权限：执行器ID列表，多个逗号分割',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `i_username` (`username`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
INSERT INTO `xxl_job_user` VALUES (1,'admin','e10adc3949ba59abbe56e057f20f883e',1,NULL);
commit;
SET AUTOCOMMIT=1;
SET UNIQUE_CHECKS=1;
SET FOREIGN_KEY_CHECKS=1;
