SET AUTOCOMMIT=0;
SET UNIQUE_CHECKS=0;
SET FOREIGN_KEY_CHECKS=0;

/*!40000 DROP DATABASE IF EXISTS `nacos`*/;

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `nacos` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `nacos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `config_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `data_id` varchar(255) COLLATE utf8_bin NOT NULL COMMENT 'data_id',
  `group_id` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `content` longtext COLLATE utf8_bin NOT NULL COMMENT 'content',
  `md5` varchar(32) COLLATE utf8_bin DEFAULT NULL COMMENT 'md5',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `src_user` text COLLATE utf8_bin COMMENT 'source user',
  `src_ip` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT 'source ip',
  `app_name` varchar(128) COLLATE utf8_bin DEFAULT NULL,
  `tenant_id` varchar(128) COLLATE utf8_bin DEFAULT '' COMMENT '租户字段',
  `c_desc` varchar(256) COLLATE utf8_bin DEFAULT NULL,
  `c_use` varchar(64) COLLATE utf8_bin DEFAULT NULL,
  `effect` varchar(64) COLLATE utf8_bin DEFAULT NULL,
  `type` varchar(64) COLLATE utf8_bin DEFAULT NULL,
  `c_schema` text COLLATE utf8_bin,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_configinfo_datagrouptenant` (`data_id`,`group_id`,`tenant_id`)
) ENGINE=InnoDB AUTO_INCREMENT=119 DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='config_info';
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
INSERT INTO `config_info` VALUES (1,'common.yaml','DEFAULT_GROUP','spring:\n  cloud:\n    nacos:\n      discovery:\n        server-addr: 192.168.2.106:8848\n      username: nacos\n      password: nacos     \n  shardingsphere:\n    props:\n      sql:\n        show: true\n  jackson:\n    property-naming-strategy: SNAKE_CASE\n  servlet:\n    multipart:\n      enabled: true\n      max-file-size: 20MB\n      max-request-size: 20MB      \n  rabbitmq:\n    host: 192.168.2.106\n    port: 5672\n    username: guest\n    password: guest\n    virtual-host: /\n  mvc:\n    pathmatch:\n      matching-strategy: ant-path-matcher\n  security:\n    user:\n      name: \"admin\"\n      password: \"admin\"\n  #指定spring elasticsearch的健康检查地址\n  elasticsearch:\n    rest:\n      uris: [\"http://192.168.2.106:9200\"]\n#关闭数据库健康检查\nmanagement:\n  health:\n    db: false\nfeign:\n  httpclient:\n    enabled: false\n  okhttp:\n    enabled: true\n  sentinel:\n    enabled: true\n#redis 配置\nredis:\n  type: standalone\n  config:\n    type: manual\n  host: 192.168.2.106\n  port: 6379\n  password: 123456\n  maxIdle: 500\n  maxTotal: 500\n  maxWaitMillis: -1\nelastic-jest:\n  index-name: javashop     # 索引名称\n  ssl: off                 # https方式访问，一般默认是http\n  cluster-ips: 192.168.2.106   # 如果是多节点:192.168.2.1,192.168.2.2,192.168.2.3....\n  cluster-rest-port: 9200  # http默认端口\n  username:\n  password:\n# 开发环境日志为debug\njavashop:\n  product: microservice\n  license[0]: 2eedaee47fa2757007a46355f885319a78d711a18aaaf41d4cbf5027d835bd530923a971658462ba76aa8ae237ba1c63c7b526d3d307598d4c1d47925ce0a7ec8880dbd52a20c121c257616e851d3b7c7561d62a762b866a79e5eed508f38d843dd797e1d336ae9e000733b5d0a324614b8290e7ac950a4cd2e9f54a7393f5b1,4a0a2e796ef27271c887b4e52d1670f6f30ab90108ef1cabdd5afe9b3eadb2195be1b3b2c6601035af594eb06c934cb3426dea5f0afd4d5eeaf63c50e5d673b357ee715dc898c48555252124de14e9e18667dfffa4d5f683\n  license[1]: 13414ec8c6dd90d5ffe7818371756dbc4bebdcb8a09483f53c6a8603c198216382f93a93f0551e0547d7369c6635be21bdea10b1fc722b38bcf132be603698fb8466b44faeaa442a304b6b01cdd7748ec1f5f0dabe90113c2510c6e47d8068c0e489188adad98cdbbb6610598990aa45ad33a10c2ae1ae554bc851d61e3791a6,4a0a2e796ef27271c887b4e52d1670f611d19035fa22b007f840a7d31a1c9b6ae96e9f199920b0bb42bd9f06c545a6b826b68d15b0c1c266b2174fb23b8dfd8a\n  license[2]: 1feae277964a07cee55e43f8ebf370d061e4d0cacb035724c24c16abce951247bbe986589226d41e35a94cf8a1e4ec3c60d146ae1c257b1ad2e061a2bed579bce5453ce82aa2b54f7df072faa282c703dc0eb81b65a06858f4c7fa9bbbe5af368653aee67107054a7d40f656441336a2d8df702c7f18d683e45b47fb2b452b71,4a0a2e796ef27271c887b4e52d1670f6f30ab90108ef1cabdd5afe9b3eadb219b53e5bcb61d9c0581ead95fc831627f293909b52aace61915a07f8891d8ad8eaf85fe83a4415a34b19e20667f7621fffead092ba2be34ba2\n  license[3]: 7083877b367c1001676a0854c868be222fe6ec6b19980bd68de51f64cc7f4be17d6b1ce80356432fbe04ce8265f2f27789126bf89ef5c6125593443589a4cc89a0049f20e4e2ad46f753f476f9a8da8df633bee3b7b2cbf342804f622500700bfbaa813e1eab9a8dc5a56344b19a418a4335560419640a22955a7d0fea4dceea,4a0a2e796ef27271c887b4e52d1670f611d19035fa22b007d0d7895888164e4c1e5c007e8c30c6cee3c0efb4bddf9c6f977da11ed13069a5\n  license[4]: 15c3ec82d61cccc700110ce553adcebc123f0444ed835045a880367cf19b69a77f939db783c7aa6884c2aa06f2c4e95d41d494930126a668296109859433f320635f8e664f667c8572d3c15b8ce901135a4cde2af5d72da73df5035b64bf1b4792f65273a474c82079a0aadde01122e28a4c576009ae688b50b5d438653f216d,4a0a2e796ef27271c887b4e52d1670f611d19035fa22b007d0d7895888164e4c5384dda204841568f75558627b7548041807abf8b462c5ca337631aaa17e011a\n  license[5]: 84d41465fde3aa75ea1e0f5565de06de63becd0d79436b4e3065355a6e925720f3b79327666db88828ef38276abe2e32240d4dfadd2753de3d41ac0c56f743bc15da3f0e62134d2f4e077b4ef7fe0168381067dbfb9b7d7dcc735b46bb0d6ee12c71e5f6be9adda649753a22f173dc6bb595293f524dd9463c780dd21cfabd44,4a0a2e796ef27271c887b4e52d1670f611d19035fa22b0078fc781055e2a68357c3b75c95db32f82cb9bce8e822872fee6f7399393694afb338112748f906ec7\n  #token加密秘钥，请务必更换此词串，且注意保密\n  token-secret: 85d6ce9da4e943ff4dcd367ab3d94164\n  ssl: off\n  timeout:\n    accessTokenTimeout:  3600\n    refreshTokenTimeout: 4200\n    captchaTimout:  120\n    smscodeTimout: 120\n  domain:\n    buyer: buyer.javamall.com.cn #配置为您买家端PC的域名\n    mobileBuyer: http://www.666qugou.com  #配置为您买家端WAP的域名\n    callback: http://wap2.666qugou.com #请配置为您站点的买家端的api域名，如果不配置此项默认读取站点买家端api的域名，用来做支付新人登录回调\n  referer:\n    - \'*.javamall.com.cn\'\n    - \'192.168.2.12\'\n    - \'192.168.2.192\'\nxxl:\n  job:\n    admin:\n      addresses: http://192.168.2.106:8080/xxl-job-admin\n    executor:\n      appname: timing-job-execute\n      ip: 192.168.2.106\n      port: 6999\n      logpath:  /opt/xxl-serverlogs\n      logretentiondays: -1\n    accessToken:\nserver:\n  compression:\n    #开启gzip压缩\n    enabled: true\n    mime-types: application/json\n    #1024为1KB\n    min-response-size: 102400\n# 日志文件存储路径\nlogging:\n  file:\n    path: ${LOG_PATH:/opt/logs}','121c6896fc6bc4210b79cfccb2d6586d','2022-12-26 07:36:15','2023-01-18 09:51:24','nacos','192.168.2.127','','','','','','yaml',''),(2,'consumer.yaml','DEFAULT_GROUP','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    #定义分库的数据源 这里定义了两个数据源\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/trade?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: xiachangxhp.','621bdf87516feda0a7a3037eebe338d4','2022-12-26 07:36:15','2023-01-12 12:21:42','nacos','172.17.0.1','','','','','','yaml',''),(3,'distribution-service.yaml','DEFAULT_GROUP','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    #定义分库的数据源 这里定义了两个数据源\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/distribution?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: xiachangxhp.\n','53717e6a383f72ef5228d8b933e3a26e','2022-12-26 07:36:15','2023-01-12 12:22:17','nacos','172.17.0.1','','','','','','yaml',''),(4,'gateway-service.yaml','DEFAULT_GROUP','logging:\n  file: logs/gateway-service.out\n  pattern:\n    console: \"%d{yyyy-MM-dd HH:mm:ss} ${LOG_LEVEL_PATTERN:-%5p} %m%n\"','402bdeaec99e945a4b7bff8353b42c0f','2022-12-26 07:36:15','2022-12-26 07:36:15',NULL,'192.168.2.105','','',NULL,NULL,NULL,'yaml',NULL),(5,'goods-service.yaml','DEFAULT_GROUP','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/goods?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: xiachangxhp.','c2c5c588037cf1848b987b3c351bc428','2022-12-26 07:36:15','2023-01-12 12:22:36','nacos','172.17.0.1','','','','','','yaml',''),(6,'live-video-service.yaml','DEFAULT_GROUP','spring:\n  config:\n    activate:\n      on-profile: \"live-video-service\"\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/goods?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: xiachangxhp.','688362d8e5f2e8218709a8ac08c7afa3','2022-12-26 07:36:15','2023-01-12 12:22:50','nacos','172.17.0.1','','','','','','yaml',''),(7,'member-service.yaml','DEFAULT_GROUP','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    #定义分库的数据源 这里定义了两个数据源\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/member?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: xiachangxhp.','896b52f7f26418dc7dd0d4aa3318a3b7','2022-12-26 07:36:15','2023-01-12 12:23:00','nacos','172.17.0.1','','','','','','yaml',''),(8,'payment-service.yaml','DEFAULT_GROUP','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    #定义分库的数据源 这里定义了两个数据源\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/trade?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: xiachangxhp.','621bdf87516feda0a7a3037eebe338d4','2022-12-26 07:36:15','2023-01-12 12:23:17','nacos','172.17.0.1','','','','','','yaml',''),(9,'promotion-service.yaml','DEFAULT_GROUP','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0        \n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/trade?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: xiachangxhp.\n','7811755178de0e1d909d952545632dfd','2022-12-26 07:36:15','2023-01-12 12:23:25','nacos','172.17.0.1','','','','','','yaml',''),(10,'seata-client.yaml','DEFAULT_GROUP','seata:\n  enabled: true\n  application-id: ${spring.application.name}-seata\n  tx-service-group: shop-group # 事务群组（可以每个应用独立取名，也可以使用相同的名字）\n  client:\n    rm-report-success-enable: true\n    rm-table-meta-check-enable: false # 自动刷新缓存中的表结构（默认false）\n    rm-report-retry-count: 5 # 一阶段结果上报TC重试次数（默认5）\n    rm-async-commit-buffer-limit: 10000 # 异步提交缓存队列长度（默认10000）\n    rm:\n      lock:\n        lock-retry-internal: 10 # 校验或占用全局锁重试间隔（默认10ms）\n        lock-retry-times: 30 # 校验或占用全局锁重试次数（默认30）\n        lock-retry-policy-branch-rollback-on-conflict: true # 分支事务与其它全局回滚事务冲突时锁策略（优先释放本地锁让回滚成功）\n    tm-commit-retry-count: 3 # 一阶段全局提交结果上报TC重试次数（默认1次，建议大于1）\n    tm-rollback-retry-count: 3 # 一阶段全局回滚结果上报TC重试次数（默认1次，建议大于1）\n    undo:\n      undo-data-validation: true # 二阶段回滚镜像校验（默认true开启）\n      undo-log-serialization: jackson # undo序列化方式（默认jackson）\n      undo-log-table: undo_log  # 自定义undo表名（默认undo_log）\n    log:\n      exceptionRate: 100 # 日志异常输出概率（默认100）\n    support:\n      spring:\n        datasource-autoproxy: true\n  service:\n    vgroup-mapping:\n      shop-group: default # TC 集群（必须与seata-server保持一致）\n    enable-degrade: false # 降级开关\n    disable-global-transaction: false # 禁用全局事务（默认false）\n    grouplist:\n      default: 192.168.2.106:8091\n  transport:\n    shutdown:\n      wait: 3\n    thread-factory:\n      boss-thread-prefix: NettyBoss\n      worker-thread-prefix: NettyServerNIOWorker\n      server-executor-thread-prefix: NettyServerBizHandler\n      share-boss-worker: false\n      client-selector-thread-prefix: NettyClientSelector\n      client-selector-thread-size: 1\n      client-worker-thread-prefix: NettyClientWorkerThread\n    type: TCP\n    server: NIO\n    heartbeat: true\n    serialization: seata\n    compressor: none\n    enable-client-batch-send-request: true # 客户端事务消息请求是否批量合并发送（默认true）\n','ec74f00251401888609919c066b79adc','2022-12-26 07:36:15','2023-01-12 11:42:22','nacos','192.168.2.127','','','','','','yaml',''),(11,'sentinel.yaml','DEFAULT_GROUP','spring:\n  cloud:\n    sentinel:\n      transport:\n        port: 8719\n        dashboard: 192.168.2.106:8080      \n      datasource:\n        flow:\n          nacos:\n            server-addr: 192.168.2.106:8848\n            dataId: ${spring.application.name}-flow-rules\n            groupId: SENTINEL_GROUP\n            # 规则类型，取值见：\n            # org.springframework.cloud.alibaba.sentinel.datasource.RuleType\n            rule-type: flow      \n        degrade:\n          nacos:\n            server-addr: 192.168.2.106:8848\n            dataId: ${spring.application.name}-degrade-rules\n            groupId: SENTINEL_GROUP\n            rule-type: degrade\n        system:\n          nacos:\n            server-addr: 192.168.2.106:8848\n            dataId: ${spring.application.name}-system-rules\n            groupId: SENTINEL_GROUP\n            rule-type: system\n        authority:\n          nacos:\n            server-addr: 192.168.2.106:8848\n            dataId: ${spring.application.name}-authority-rules\n            groupId: SENTINEL_GROUP\n            rule-type: authority\n        param-flow:\n          nacos:\n            server-addr: 192.168.2.106:8848\n            dataId: ${spring.application.name}-param-flow-rules\n            groupId: SENTINEL_GROUP\n            rule-type: param-flow  ','7a2e169ee5841646c63a2199cf9d8a39','2022-12-26 07:36:15','2023-01-12 10:48:51','nacos','172.17.0.1','','','','','','yaml',''),(12,'statistics-service.yaml','DEFAULT_GROUP','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0   \n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/statistics?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: xiachangxhp.','a9ce3907d9eb9fd9fb415ec8d782afa7','2022-12-26 07:36:15','2023-01-12 12:23:45','nacos','172.17.0.1','','','','','','yaml',''),(13,'swagger.yaml','DEFAULT_GROUP','spring:\n  config:\n    activate:\n      on-profile: \"swagger\"\n# ===== 自定义swagger配置 ===== #\nswagger:\n  # 是否启用swagger，不启用swagger 可修改为false\n  enable: true\n  # 应用名称\n  application-name: ${spring.application.name}\n  # 应用版本\n  application-version: 7.2.3\n  # 描述\n  application-description: Interface Document\n  # 请求地址\n  try-host: http://localhost:${server.port}\n  # 虚拟路径\n  base-path: /','9771e620e39af04eff091ec5c0eb0ff3','2022-12-26 07:36:15','2022-12-26 07:36:15',NULL,'192.168.2.105','','',NULL,NULL,NULL,'yaml',NULL),(14,'system-service-flow-rules','DEFAULT_GROUP','[\n  {\n    \"resource\": \"TestResource\",\n    \"controlBehavior\": 0,\n    \"count\": 5.0,\n    \"grade\": 1,\n    \"limitApp\": \"default\",\n    \"strategy\": 0\n  }\n]','64d19ac325ac0993dfc9c306d599e637','2022-12-26 07:36:15','2022-12-26 07:36:15',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(15,'system-service.yaml','DEFAULT_GROUP','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/system?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: xiachangxhp.','466b1428fe1792df2257e6ad6997059f','2022-12-26 07:36:15','2023-01-12 12:24:08','nacos','172.17.0.1','','','','','','yaml',''),(16,'trade-service.yaml','DEFAULT_GROUP','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/trade?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: xiachangxhp.\n','168bb1a7482581ba64d683c8bc254af5','2022-12-26 07:36:15','2023-01-12 12:24:19','nacos','172.17.0.1','','','','','','yaml',''),(18,'transport.type','SEATA_GROUP','TCP','b136ef5f6a01d816991fe3cf7a6ac763','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(19,'transport.server','SEATA_GROUP','NIO','b6d9dfc0fb54277321cebc0fff55df2f','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(20,'transport.heartbeat','SEATA_GROUP','true','b326b5062b2f0e69046810717534cb09','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(21,'transport.enableClientBatchSendRequest','SEATA_GROUP','false','68934a3e9455fa72420237eb05902327','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(22,'transport.threadFactory.bossThreadPrefix','SEATA_GROUP','NettyBoss','0f8db59a3b7f2823f38a70c308361836','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(23,'transport.threadFactory.workerThreadPrefix','SEATA_GROUP','NettyServerNIOWorker','a78ec7ef5d1631754c4e72ae8a3e9205','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(24,'transport.threadFactory.serverExecutorThreadPrefix','SEATA_GROUP','NettyServerBizHandler','11a36309f3d9df84fa8b59cf071fa2da','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(25,'transport.threadFactory.shareBossWorker','SEATA_GROUP','false','68934a3e9455fa72420237eb05902327','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(26,'transport.threadFactory.clientSelectorThreadPrefix','SEATA_GROUP','NettyClientSelector','cd7ec5a06541e75f5a7913752322c3af','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(27,'transport.threadFactory.clientSelectorThreadSize','SEATA_GROUP','1','c4ca4238a0b923820dcc509a6f75849b','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(28,'transport.threadFactory.clientWorkerThreadPrefix','SEATA_GROUP','NettyClientWorkerThread','61cf4e69a56354cf72f46dc86414a57e','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(29,'transport.threadFactory.bossThreadSize','SEATA_GROUP','1','c4ca4238a0b923820dcc509a6f75849b','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(30,'transport.threadFactory.workerThreadSize','SEATA_GROUP','default','c21f969b5f03d33d43e04f8f136e7682','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(31,'transport.shutdown.wait','SEATA_GROUP','3','eccbc87e4b5ce2fe28308fd9f2a7baf3','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(32,'service.vgroupMapping.my_test_tx_group','SEATA_GROUP','default','c21f969b5f03d33d43e04f8f136e7682','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(33,'service.default.grouplist','SEATA_GROUP','127.0.0.1:8091','c32ce0d3e264525dcdada751f98143a3','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(34,'service.enableDegrade','SEATA_GROUP','false','68934a3e9455fa72420237eb05902327','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(35,'service.disableGlobalTransaction','SEATA_GROUP','false','68934a3e9455fa72420237eb05902327','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(36,'client.rm.asyncCommitBufferLimit','SEATA_GROUP','10000','b7a782741f667201b54880c925faec4b','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(37,'client.rm.lock.retryInterval','SEATA_GROUP','10','d3d9446802a44259755d38e6d163e820','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(38,'client.rm.lock.retryTimes','SEATA_GROUP','30','34173cb38f07f89ddbebc2ac9128303f','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(39,'client.rm.lock.retryPolicyBranchRollbackOnConflict','SEATA_GROUP','true','b326b5062b2f0e69046810717534cb09','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(40,'client.rm.reportRetryCount','SEATA_GROUP','5','e4da3b7fbbce2345d7772b0674a318d5','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(41,'client.rm.tableMetaCheckEnable','SEATA_GROUP','false','68934a3e9455fa72420237eb05902327','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(42,'client.rm.sqlParserType','SEATA_GROUP','druid','3d650fb8a5df01600281d48c47c9fa60','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(43,'client.rm.reportSuccessEnable','SEATA_GROUP','false','68934a3e9455fa72420237eb05902327','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(44,'client.rm.sagaBranchRegisterEnable','SEATA_GROUP','false','68934a3e9455fa72420237eb05902327','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(45,'client.tm.commitRetryCount','SEATA_GROUP','5','e4da3b7fbbce2345d7772b0674a318d5','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(46,'client.tm.rollbackRetryCount','SEATA_GROUP','5','e4da3b7fbbce2345d7772b0674a318d5','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(47,'client.tm.degradeCheck','SEATA_GROUP','false','68934a3e9455fa72420237eb05902327','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(48,'client.tm.degradeCheckAllowTimes','SEATA_GROUP','10','d3d9446802a44259755d38e6d163e820','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(49,'client.tm.degradeCheckPeriod','SEATA_GROUP','2000','08f90c1a417155361a5c4b8d297e0d78','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(50,'store.mode','SEATA_GROUP','db','d77d5e503ad1439f585ac494268b351b','2022-12-26 07:36:58','2022-12-26 07:37:38','nacos','192.168.2.105','','','','','','text',''),(51,'store.file.dir','SEATA_GROUP','file_store/data','6a8dec07c44c33a8a9247cba5710bbb2','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(52,'store.file.maxBranchSessionSize','SEATA_GROUP','16384','c76fe1d8e08462434d800487585be217','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(53,'store.file.maxGlobalSessionSize','SEATA_GROUP','512','10a7cdd970fe135cf4f7bb55c0e3b59f','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(54,'store.file.fileWriteBufferCacheSize','SEATA_GROUP','16384','c76fe1d8e08462434d800487585be217','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(55,'store.file.flushDiskMode','SEATA_GROUP','async','0df93e34273b367bb63bad28c94c78d5','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(56,'store.file.sessionReloadReadSize','SEATA_GROUP','100','f899139df5e1059396431415e770c6dd','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(57,'store.db.datasource','SEATA_GROUP','druid','3d650fb8a5df01600281d48c47c9fa60','2022-12-26 07:36:58','2022-12-26 09:17:08','nacos','192.168.2.105','','','','','','text',''),(58,'store.db.dbType','SEATA_GROUP','mysql','81c3b080dad537de7e10e0987a4bf52e','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(59,'store.db.driverClassName','SEATA_GROUP','com.mysql.jdbc.Driver','683cf0c3a5a56cec94dfac94ca16d760','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(60,'store.db.url','SEATA_GROUP','jdbc:mysql://192.168.2.106:3306/seata?useUnicode=true','cf821422f4acab34dc462ea015821a75','2022-12-26 07:36:58','2023-01-12 11:46:53','nacos','192.168.2.127','','','','','','text',''),(61,'store.db.user','SEATA_GROUP','root','63a9f0ea7bb98050796b649e85481845','2022-12-26 07:36:58','2022-12-26 07:39:40','nacos','192.168.2.105','','','','','','text',''),(62,'store.db.password','SEATA_GROUP','xiachangxhp.','66880a6b141ffa7d6015b4e76be177a4','2022-12-26 07:36:58','2023-01-12 12:27:36','nacos','172.17.0.1','','','','','','text',''),(63,'store.db.minConn','SEATA_GROUP','5','e4da3b7fbbce2345d7772b0674a318d5','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(64,'store.db.maxConn','SEATA_GROUP','30','34173cb38f07f89ddbebc2ac9128303f','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(65,'store.db.globalTable','SEATA_GROUP','global_table','8b28fb6bb4c4f984df2709381f8eba2b','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(66,'store.db.branchTable','SEATA_GROUP','branch_table','54bcdac38cf62e103fe115bcf46a660c','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(67,'store.db.queryLimit','SEATA_GROUP','100','f899139df5e1059396431415e770c6dd','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(68,'store.db.lockTable','SEATA_GROUP','lock_table','55e0cae3b6dc6696b768db90098b8f2f','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(69,'store.db.maxWait','SEATA_GROUP','5000','a35fe7f7fe8217b4369a0af4244d1fca','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(70,'store.redis.host','SEATA_GROUP','192.168.2.186','c3fd2c04b6f81c872b07796e570b67af','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(71,'store.redis.port','SEATA_GROUP','6379','92c3b916311a5517d9290576e3ea37ad','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(72,'store.redis.maxConn','SEATA_GROUP','10','d3d9446802a44259755d38e6d163e820','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(73,'store.redis.minConn','SEATA_GROUP','1','c4ca4238a0b923820dcc509a6f75849b','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(74,'store.redis.database','SEATA_GROUP','0','cfcd208495d565ef66e7dff9f98764da','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(75,'store.redis.password','SEATA_GROUP','123456','e10adc3949ba59abbe56e057f20f883e','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(76,'store.redis.queryLimit','SEATA_GROUP','100','f899139df5e1059396431415e770c6dd','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(77,'server.recovery.committingRetryPeriod','SEATA_GROUP','1000','a9b7ba70783b617e9998dc4dd82eb3c5','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(78,'server.recovery.asynCommittingRetryPeriod','SEATA_GROUP','1000','a9b7ba70783b617e9998dc4dd82eb3c5','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(79,'server.recovery.rollbackingRetryPeriod','SEATA_GROUP','1000','a9b7ba70783b617e9998dc4dd82eb3c5','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(80,'server.recovery.timeoutRetryPeriod','SEATA_GROUP','1000','a9b7ba70783b617e9998dc4dd82eb3c5','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(81,'server.maxCommitRetryTimeout','SEATA_GROUP','-1','6bb61e3b7bce0931da574d19d1d82c88','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(82,'server.maxRollbackRetryTimeout','SEATA_GROUP','-1','6bb61e3b7bce0931da574d19d1d82c88','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(83,'server.rollbackRetryTimeoutUnlockEnable','SEATA_GROUP','false','68934a3e9455fa72420237eb05902327','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(84,'client.undo.dataValidation','SEATA_GROUP','true','b326b5062b2f0e69046810717534cb09','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(85,'client.undo.logSerialization','SEATA_GROUP','jackson','b41779690b83f182acc67d6388c7bac9','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(86,'client.undo.onlyCareUpdateColumns','SEATA_GROUP','true','b326b5062b2f0e69046810717534cb09','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(87,'server.undo.logSaveDays','SEATA_GROUP','7','8f14e45fceea167a5a36dedd4bea2543','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(88,'server.undo.logDeletePeriod','SEATA_GROUP','86400000','f4c122804fe9076cb2710f55c3c6e346','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(89,'client.undo.logTable','SEATA_GROUP','undo_log','2842d229c24afe9e61437135e8306614','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(90,'client.log.exceptionRate','SEATA_GROUP','100','f899139df5e1059396431415e770c6dd','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(91,'transport.serialization','SEATA_GROUP','seata','b943081c423b9a5416a706524ee05d40','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(92,'transport.compressor','SEATA_GROUP','none','334c4a4c42fdb79d7ebc3e73b517e6f8','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(93,'metrics.enabled','SEATA_GROUP','false','68934a3e9455fa72420237eb05902327','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(94,'metrics.registryType','SEATA_GROUP','compact','7cf74ca49c304df8150205fc915cd465','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(95,'metrics.exporterList','SEATA_GROUP','prometheus','e4f00638b8a10e6994e67af2f832d51c','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(96,'metrics.exporterPrometheusPort','SEATA_GROUP','9898','7b9dc501afe4ee11c56a4831e20cee71','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','','',NULL,NULL,NULL,'text',NULL),(117,'bingboxgoods-service','DEFAULT_GROUP','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/bing_box_goods?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: xiachangxhp.','7b263891191e1ed93718224abc28459f','2022-12-26 09:33:02','2023-01-12 12:30:10','nacos','172.17.0.1','','','','','','yaml',''),(118,'bingboxgoodsdistribution-service.yaml','DEFAULT_GROUP','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    #定义分库的数据源 这里定义了两个数据源\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/bing_box_goods_distribution?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: xiachangxhp.\n','edc015449ac13c36bdb5047a296bb286','2022-12-26 09:33:02','2023-01-12 12:30:19','nacos','172.17.0.1','','','','','','yaml','');
commit;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `config_info_aggr` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `data_id` varchar(255) COLLATE utf8_bin NOT NULL COMMENT 'data_id',
  `group_id` varchar(255) COLLATE utf8_bin NOT NULL COMMENT 'group_id',
  `datum_id` varchar(255) COLLATE utf8_bin NOT NULL COMMENT 'datum_id',
  `content` longtext COLLATE utf8_bin NOT NULL COMMENT '内容',
  `gmt_modified` datetime NOT NULL COMMENT '修改时间',
  `app_name` varchar(128) COLLATE utf8_bin DEFAULT NULL,
  `tenant_id` varchar(128) COLLATE utf8_bin DEFAULT '' COMMENT '租户字段',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_configinfoaggr_datagrouptenantdatum` (`data_id`,`group_id`,`tenant_id`,`datum_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='增加租户字段';
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
commit;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `config_info_beta` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `data_id` varchar(255) COLLATE utf8_bin NOT NULL COMMENT 'data_id',
  `group_id` varchar(128) COLLATE utf8_bin NOT NULL COMMENT 'group_id',
  `app_name` varchar(128) COLLATE utf8_bin DEFAULT NULL COMMENT 'app_name',
  `content` longtext COLLATE utf8_bin NOT NULL COMMENT 'content',
  `beta_ips` varchar(1024) COLLATE utf8_bin DEFAULT NULL COMMENT 'betaIps',
  `md5` varchar(32) COLLATE utf8_bin DEFAULT NULL COMMENT 'md5',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `src_user` text COLLATE utf8_bin COMMENT 'source user',
  `src_ip` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT 'source ip',
  `tenant_id` varchar(128) COLLATE utf8_bin DEFAULT '' COMMENT '租户字段',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_configinfobeta_datagrouptenant` (`data_id`,`group_id`,`tenant_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='config_info_beta';
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
commit;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `config_info_tag` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `data_id` varchar(255) COLLATE utf8_bin NOT NULL COMMENT 'data_id',
  `group_id` varchar(128) COLLATE utf8_bin NOT NULL COMMENT 'group_id',
  `tenant_id` varchar(128) COLLATE utf8_bin DEFAULT '' COMMENT 'tenant_id',
  `tag_id` varchar(128) COLLATE utf8_bin NOT NULL COMMENT 'tag_id',
  `app_name` varchar(128) COLLATE utf8_bin DEFAULT NULL COMMENT 'app_name',
  `content` longtext COLLATE utf8_bin NOT NULL COMMENT 'content',
  `md5` varchar(32) COLLATE utf8_bin DEFAULT NULL COMMENT 'md5',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `src_user` text COLLATE utf8_bin COMMENT 'source user',
  `src_ip` varchar(50) COLLATE utf8_bin DEFAULT NULL COMMENT 'source ip',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_configinfotag_datagrouptenanttag` (`data_id`,`group_id`,`tenant_id`,`tag_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='config_info_tag';
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
commit;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `config_tags_relation` (
  `id` bigint(20) NOT NULL COMMENT 'id',
  `tag_name` varchar(128) COLLATE utf8_bin NOT NULL COMMENT 'tag_name',
  `tag_type` varchar(64) COLLATE utf8_bin DEFAULT NULL COMMENT 'tag_type',
  `data_id` varchar(255) COLLATE utf8_bin NOT NULL COMMENT 'data_id',
  `group_id` varchar(128) COLLATE utf8_bin NOT NULL COMMENT 'group_id',
  `tenant_id` varchar(128) COLLATE utf8_bin DEFAULT '' COMMENT 'tenant_id',
  `nid` bigint(20) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`nid`),
  UNIQUE KEY `uk_configtagrelation_configidtag` (`id`,`tag_name`,`tag_type`),
  KEY `idx_tenant_id` (`tenant_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='config_tag_relation';
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
commit;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `group_capacity` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `group_id` varchar(128) COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT 'Group ID，空字符表示整个集群',
  `quota` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '配额，0表示使用默认值',
  `usage` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '使用量',
  `max_size` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '单个配置大小上限，单位为字节，0表示使用默认值',
  `max_aggr_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '聚合子配置最大个数，，0表示使用默认值',
  `max_aggr_size` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '单个聚合数据的子配置大小上限，单位为字节，0表示使用默认值',
  `max_history_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '最大变更历史数量',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_group_id` (`group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='集群、各Group容量信息表';
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
commit;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `his_config_info` (
  `id` bigint(64) unsigned NOT NULL,
  `nid` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `data_id` varchar(255) COLLATE utf8_bin NOT NULL,
  `group_id` varchar(128) COLLATE utf8_bin NOT NULL,
  `app_name` varchar(128) COLLATE utf8_bin DEFAULT NULL COMMENT 'app_name',
  `content` longtext COLLATE utf8_bin NOT NULL,
  `md5` varchar(32) COLLATE utf8_bin DEFAULT NULL,
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `src_user` text COLLATE utf8_bin,
  `src_ip` varchar(50) COLLATE utf8_bin DEFAULT NULL,
  `op_type` char(10) COLLATE utf8_bin DEFAULT NULL,
  `tenant_id` varchar(128) COLLATE utf8_bin DEFAULT '' COMMENT '租户字段',
  PRIMARY KEY (`nid`),
  KEY `idx_gmt_create` (`gmt_create`),
  KEY `idx_gmt_modified` (`gmt_modified`),
  KEY `idx_did` (`data_id`)
) ENGINE=InnoDB AUTO_INCREMENT=176 DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='多租户改造';
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
INSERT INTO `his_config_info` VALUES (0,1,'common.yaml','DEFAULT_GROUP','','spring:\n  cloud:\n    nacos:\n      discovery:\n        server-addr: 192.168.2.186:8848\n      username: nacos\n      password: nacos     \n  shardingsphere:\n    props:\n      sql:\n        show: true\n  jackson:\n    property-naming-strategy: SNAKE_CASE\n  servlet:\n    multipart:\n      enabled: true\n      max-file-size: 20MB\n      max-request-size: 20MB      \n  rabbitmq:\n    host: 192.168.2.186\n    port: 5672\n    username: guest\n    password: guest\n    virtual-host: /\n  mvc:\n    pathmatch:\n      matching-strategy: ant-path-matcher\n  security:\n    user:\n      name: \"admin\"\n      password: \"admin\"\n  #指定spring elasticsearch的健康检查地址\n  elasticsearch:\n    rest:\n      uris: [\"http://192.168.2.186:9200\"]\n#关闭数据库健康检查\nmanagement:\n  health:\n    db: false\nfeign:\n  httpclient:\n    enabled: false\n  okhttp:\n    enabled: true\n  sentinel:\n    enabled: true\n#redis 配置\nredis:\n  type: standalone\n  config:\n    type: manual\n  host: 192.168.2.186\n  port: 6379\n  password: 123456\n  maxIdle: 500\n  maxTotal: 500\n  maxWaitMillis: -1\nelastic-jest:\n  index-name: javashop     # 索引名称\n  ssl: off                 # https方式访问，一般默认是http\n  cluster-ips: 192.168.2.186   # 如果是多节点:192.168.2.1,192.168.2.2,192.168.2.3....\n  cluster-rest-port: 9200  # http默认端口\n  username:\n  password:\n# 开发环境日志为debug\njavashop:\n  product: microservice\n  license[0]: 2eedaee47fa2757007a46355f885319a78d711a18aaaf41d4cbf5027d835bd530923a971658462ba76aa8ae237ba1c63c7b526d3d307598d4c1d47925ce0a7ec8880dbd52a20c121c257616e851d3b7c7561d62a762b866a79e5eed508f38d843dd797e1d336ae9e000733b5d0a324614b8290e7ac950a4cd2e9f54a7393f5b1,4a0a2e796ef27271c887b4e52d1670f6f30ab90108ef1cabdd5afe9b3eadb2195be1b3b2c6601035af594eb06c934cb3426dea5f0afd4d5eeaf63c50e5d673b357ee715dc898c48555252124de14e9e18667dfffa4d5f683\n  license[1]: 13414ec8c6dd90d5ffe7818371756dbc4bebdcb8a09483f53c6a8603c198216382f93a93f0551e0547d7369c6635be21bdea10b1fc722b38bcf132be603698fb8466b44faeaa442a304b6b01cdd7748ec1f5f0dabe90113c2510c6e47d8068c0e489188adad98cdbbb6610598990aa45ad33a10c2ae1ae554bc851d61e3791a6,4a0a2e796ef27271c887b4e52d1670f611d19035fa22b007f840a7d31a1c9b6ae96e9f199920b0bb42bd9f06c545a6b826b68d15b0c1c266b2174fb23b8dfd8a\n  #token加密秘钥，请务必更换此词串，且注意保密\n  token-secret: 85d6ce9da4e943ff4dcd367ab3d94164\n  ssl: off\n  timeout:\n    accessTokenTimeout:  3600\n    refreshTokenTimeout: 4200\n    captchaTimout:  120\n    smscodeTimout: 120\n  domain:\n    buyer: buyer.javamall.com.cn #配置为您买家端PC的域名\n    mobileBuyer: m.buyer.javamall.com.cn  #配置为您买家端WAP的域名\n    callback: api.buyerjavamall.com.cn #请配置为您站点的买家端的api域名，如果不配置此项默认读取站点买家端api的域名，用来做支付新人登录回调\n  referer:\n    - \'*.javamall.com.cn\'\n    - \'192.168.2.12\'\n    - \'192.168.2.192\'\nxxl:\n  job:\n    admin:\n      addresses:  http://192.168.2.186:8080/xxl-job-admin\n    executor:\n      appname: timing-job-execute\n      ip:\n      port: 6999\n      logpath:  /opt/xxl-serverlogs\n      logretentiondays: -1\n    accessToken:\nserver:\n  compression:\n    #开启gzip压缩\n    enabled: true\n    mime-types: application/json\n    #1024为1KB\n    min-response-size: 102400\n# 日志文件存储路径\nlogging:\n  file:\n    path: ${LOG_PATH:/opt/logs}','20a2d47b8292b9e4465d380e2fa60bd4','2022-12-26 07:36:14','2022-12-26 07:36:15',NULL,'192.168.2.105','I',''),(0,2,'consumer.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    #定义分库的数据源 这里定义了两个数据源\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.186:3306/md_trade?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','102f869dbaf77c708d30e19c81784549','2022-12-26 07:36:14','2022-12-26 07:36:15',NULL,'192.168.2.105','I',''),(0,3,'distribution-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    #定义分库的数据源 这里定义了两个数据源\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.186:3306/md_distribution?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456\n','451ad408c2cd3862e5294b51f26697bc','2022-12-26 07:36:14','2022-12-26 07:36:15',NULL,'192.168.2.105','I',''),(0,4,'gateway-service.yaml','DEFAULT_GROUP','','logging:\n  file: logs/gateway-service.out\n  pattern:\n    console: \"%d{yyyy-MM-dd HH:mm:ss} ${LOG_LEVEL_PATTERN:-%5p} %m%n\"','402bdeaec99e945a4b7bff8353b42c0f','2022-12-26 07:36:14','2022-12-26 07:36:15',NULL,'192.168.2.105','I',''),(0,5,'goods-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.186:3306/md_goods?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','dcb8c7e7648a4988dbb8957f797047cb','2022-12-26 07:36:14','2022-12-26 07:36:15',NULL,'192.168.2.105','I',''),(0,6,'live-video-service.yaml','DEFAULT_GROUP','','spring:\n  config:\n    activate:\n      on-profile: \"live-video-service\"\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.186:3306/md_goods?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','f16363d0a7224494a90bc70bad6490d4','2022-12-26 07:36:14','2022-12-26 07:36:15',NULL,'192.168.2.105','I',''),(0,7,'member-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    #定义分库的数据源 这里定义了两个数据源\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.186:3306/md_member?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','67f4e47fef263b4918b9f40e69a312bf','2022-12-26 07:36:14','2022-12-26 07:36:15',NULL,'192.168.2.105','I',''),(0,8,'payment-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    #定义分库的数据源 这里定义了两个数据源\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.186:3306/md_trade?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456\n','1fc4537719dc6fac690417754589dd53','2022-12-26 07:36:14','2022-12-26 07:36:15',NULL,'192.168.2.105','I',''),(0,9,'promotion-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0        \n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.186:3306/md_trade?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456\n','2339e0437d12539ef54113fc5a45c76f','2022-12-26 07:36:14','2022-12-26 07:36:15',NULL,'192.168.2.105','I',''),(0,10,'seata-client.yaml','DEFAULT_GROUP','','seata:\n  enabled: true\n  application-id: ${spring.application.name}-seata\n  tx-service-group: shop-group # 事务群组（可以每个应用独立取名，也可以使用相同的名字）\n  client:\n    rm-report-success-enable: true\n    rm-table-meta-check-enable: false # 自动刷新缓存中的表结构（默认false）\n    rm-report-retry-count: 5 # 一阶段结果上报TC重试次数（默认5）\n    rm-async-commit-buffer-limit: 10000 # 异步提交缓存队列长度（默认10000）\n    rm:\n      lock:\n        lock-retry-internal: 10 # 校验或占用全局锁重试间隔（默认10ms）\n        lock-retry-times: 30 # 校验或占用全局锁重试次数（默认30）\n        lock-retry-policy-branch-rollback-on-conflict: true # 分支事务与其它全局回滚事务冲突时锁策略（优先释放本地锁让回滚成功）\n    tm-commit-retry-count: 3 # 一阶段全局提交结果上报TC重试次数（默认1次，建议大于1）\n    tm-rollback-retry-count: 3 # 一阶段全局回滚结果上报TC重试次数（默认1次，建议大于1）\n    undo:\n      undo-data-validation: true # 二阶段回滚镜像校验（默认true开启）\n      undo-log-serialization: jackson # undo序列化方式（默认jackson）\n      undo-log-table: undo_log  # 自定义undo表名（默认undo_log）\n    log:\n      exceptionRate: 100 # 日志异常输出概率（默认100）\n    support:\n      spring:\n        datasource-autoproxy: true\n  service:\n    vgroup-mapping:\n      shop-group: default # TC 集群（必须与seata-server保持一致）\n    enable-degrade: false # 降级开关\n    disable-global-transaction: false # 禁用全局事务（默认false）\n    grouplist:\n      default: 127.0.0.1:8091\n  transport:\n    shutdown:\n      wait: 3\n    thread-factory:\n      boss-thread-prefix: NettyBoss\n      worker-thread-prefix: NettyServerNIOWorker\n      server-executor-thread-prefix: NettyServerBizHandler\n      share-boss-worker: false\n      client-selector-thread-prefix: NettyClientSelector\n      client-selector-thread-size: 1\n      client-worker-thread-prefix: NettyClientWorkerThread\n    type: TCP\n    server: NIO\n    heartbeat: true\n    serialization: seata\n    compressor: none\n    enable-client-batch-send-request: true # 客户端事务消息请求是否批量合并发送（默认true）\n','c6f2466a6292238bff2836a855b4d810','2022-12-26 07:36:14','2022-12-26 07:36:15',NULL,'192.168.2.105','I',''),(0,11,'sentinel.yaml','DEFAULT_GROUP','','spring:\n  cloud:\n    sentinel:\n      transport:\n        port: 8719\n        dashboard: localhost:8080      \n      datasource:\n        flow:\n          nacos:\n            server-addr: 192.168.2.186:8848\n            dataId: ${spring.application.name}-flow-rules\n            groupId: SENTINEL_GROUP\n            # 规则类型，取值见：\n            # org.springframework.cloud.alibaba.sentinel.datasource.RuleType\n            rule-type: flow      \n        degrade:\n          nacos:\n            server-addr: 192.168.2.186:8848\n            dataId: ${spring.application.name}-degrade-rules\n            groupId: SENTINEL_GROUP\n            rule-type: degrade\n        system:\n          nacos:\n            server-addr: 192.168.2.186:8848\n            dataId: ${spring.application.name}-system-rules\n            groupId: SENTINEL_GROUP\n            rule-type: system\n        authority:\n          nacos:\n            server-addr: 192.168.2.186:8848\n            dataId: ${spring.application.name}-authority-rules\n            groupId: SENTINEL_GROUP\n            rule-type: authority\n        param-flow:\n          nacos:\n            server-addr: 192.168.2.186:8848\n            dataId: ${spring.application.name}-param-flow-rules\n            groupId: SENTINEL_GROUP\n            rule-type: param-flow  ','4a96e51f93cccfe014fb6172ee6e548c','2022-12-26 07:36:14','2022-12-26 07:36:15',NULL,'192.168.2.105','I',''),(0,12,'statistics-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0   \n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.186:3306/md_statistics?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','1a1ad1db714c028be01e4473e561857a','2022-12-26 07:36:14','2022-12-26 07:36:15',NULL,'192.168.2.105','I',''),(0,13,'swagger.yaml','DEFAULT_GROUP','','spring:\n  config:\n    activate:\n      on-profile: \"swagger\"\n# ===== 自定义swagger配置 ===== #\nswagger:\n  # 是否启用swagger，不启用swagger 可修改为false\n  enable: true\n  # 应用名称\n  application-name: ${spring.application.name}\n  # 应用版本\n  application-version: 7.2.3\n  # 描述\n  application-description: Interface Document\n  # 请求地址\n  try-host: http://localhost:${server.port}\n  # 虚拟路径\n  base-path: /','9771e620e39af04eff091ec5c0eb0ff3','2022-12-26 07:36:14','2022-12-26 07:36:15',NULL,'192.168.2.105','I',''),(0,14,'system-service-flow-rules','DEFAULT_GROUP','','[\n  {\n    \"resource\": \"TestResource\",\n    \"controlBehavior\": 0,\n    \"count\": 5.0,\n    \"grade\": 1,\n    \"limitApp\": \"default\",\n    \"strategy\": 0\n  }\n]','64d19ac325ac0993dfc9c306d599e637','2022-12-26 07:36:14','2022-12-26 07:36:15',NULL,'192.168.2.105','I',''),(0,15,'system-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.186:3306/md_system?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','47654e878214405ad16fd23ef174f3fa','2022-12-26 07:36:14','2022-12-26 07:36:15',NULL,'192.168.2.105','I',''),(0,16,'trade-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.218:3306/md_trade?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: enation752513\n','ee76b120911c14399e4718762d95a1df','2022-12-26 07:36:14','2022-12-26 07:36:15',NULL,'192.168.2.105','I',''),(0,17,'transport.type','SEATA_GROUP','','TCP','b136ef5f6a01d816991fe3cf7a6ac763','2022-12-26 07:36:57','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,18,'transport.server','SEATA_GROUP','','NIO','b6d9dfc0fb54277321cebc0fff55df2f','2022-12-26 07:36:57','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,19,'transport.heartbeat','SEATA_GROUP','','true','b326b5062b2f0e69046810717534cb09','2022-12-26 07:36:57','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,20,'transport.enableClientBatchSendRequest','SEATA_GROUP','','false','68934a3e9455fa72420237eb05902327','2022-12-26 07:36:57','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,21,'transport.threadFactory.bossThreadPrefix','SEATA_GROUP','','NettyBoss','0f8db59a3b7f2823f38a70c308361836','2022-12-26 07:36:57','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,22,'transport.threadFactory.workerThreadPrefix','SEATA_GROUP','','NettyServerNIOWorker','a78ec7ef5d1631754c4e72ae8a3e9205','2022-12-26 07:36:57','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,23,'transport.threadFactory.serverExecutorThreadPrefix','SEATA_GROUP','','NettyServerBizHandler','11a36309f3d9df84fa8b59cf071fa2da','2022-12-26 07:36:57','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,24,'transport.threadFactory.shareBossWorker','SEATA_GROUP','','false','68934a3e9455fa72420237eb05902327','2022-12-26 07:36:57','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,25,'transport.threadFactory.clientSelectorThreadPrefix','SEATA_GROUP','','NettyClientSelector','cd7ec5a06541e75f5a7913752322c3af','2022-12-26 07:36:57','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,26,'transport.threadFactory.clientSelectorThreadSize','SEATA_GROUP','','1','c4ca4238a0b923820dcc509a6f75849b','2022-12-26 07:36:57','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,27,'transport.threadFactory.clientWorkerThreadPrefix','SEATA_GROUP','','NettyClientWorkerThread','61cf4e69a56354cf72f46dc86414a57e','2022-12-26 07:36:57','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,28,'transport.threadFactory.bossThreadSize','SEATA_GROUP','','1','c4ca4238a0b923820dcc509a6f75849b','2022-12-26 07:36:57','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,29,'transport.threadFactory.workerThreadSize','SEATA_GROUP','','default','c21f969b5f03d33d43e04f8f136e7682','2022-12-26 07:36:57','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,30,'transport.shutdown.wait','SEATA_GROUP','','3','eccbc87e4b5ce2fe28308fd9f2a7baf3','2022-12-26 07:36:57','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,31,'service.vgroupMapping.my_test_tx_group','SEATA_GROUP','','default','c21f969b5f03d33d43e04f8f136e7682','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,32,'service.default.grouplist','SEATA_GROUP','','127.0.0.1:8091','c32ce0d3e264525dcdada751f98143a3','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,33,'service.enableDegrade','SEATA_GROUP','','false','68934a3e9455fa72420237eb05902327','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,34,'service.disableGlobalTransaction','SEATA_GROUP','','false','68934a3e9455fa72420237eb05902327','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,35,'client.rm.asyncCommitBufferLimit','SEATA_GROUP','','10000','b7a782741f667201b54880c925faec4b','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,36,'client.rm.lock.retryInterval','SEATA_GROUP','','10','d3d9446802a44259755d38e6d163e820','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,37,'client.rm.lock.retryTimes','SEATA_GROUP','','30','34173cb38f07f89ddbebc2ac9128303f','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,38,'client.rm.lock.retryPolicyBranchRollbackOnConflict','SEATA_GROUP','','true','b326b5062b2f0e69046810717534cb09','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,39,'client.rm.reportRetryCount','SEATA_GROUP','','5','e4da3b7fbbce2345d7772b0674a318d5','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,40,'client.rm.tableMetaCheckEnable','SEATA_GROUP','','false','68934a3e9455fa72420237eb05902327','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,41,'client.rm.sqlParserType','SEATA_GROUP','','druid','3d650fb8a5df01600281d48c47c9fa60','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,42,'client.rm.reportSuccessEnable','SEATA_GROUP','','false','68934a3e9455fa72420237eb05902327','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,43,'client.rm.sagaBranchRegisterEnable','SEATA_GROUP','','false','68934a3e9455fa72420237eb05902327','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,44,'client.tm.commitRetryCount','SEATA_GROUP','','5','e4da3b7fbbce2345d7772b0674a318d5','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,45,'client.tm.rollbackRetryCount','SEATA_GROUP','','5','e4da3b7fbbce2345d7772b0674a318d5','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,46,'client.tm.degradeCheck','SEATA_GROUP','','false','68934a3e9455fa72420237eb05902327','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,47,'client.tm.degradeCheckAllowTimes','SEATA_GROUP','','10','d3d9446802a44259755d38e6d163e820','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,48,'client.tm.degradeCheckPeriod','SEATA_GROUP','','2000','08f90c1a417155361a5c4b8d297e0d78','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,49,'store.mode','SEATA_GROUP','','redis','86a1b907d54bf7010394bf316e183e67','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,50,'store.file.dir','SEATA_GROUP','','file_store/data','6a8dec07c44c33a8a9247cba5710bbb2','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,51,'store.file.maxBranchSessionSize','SEATA_GROUP','','16384','c76fe1d8e08462434d800487585be217','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,52,'store.file.maxGlobalSessionSize','SEATA_GROUP','','512','10a7cdd970fe135cf4f7bb55c0e3b59f','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,53,'store.file.fileWriteBufferCacheSize','SEATA_GROUP','','16384','c76fe1d8e08462434d800487585be217','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,54,'store.file.flushDiskMode','SEATA_GROUP','','async','0df93e34273b367bb63bad28c94c78d5','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,55,'store.file.sessionReloadReadSize','SEATA_GROUP','','100','f899139df5e1059396431415e770c6dd','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,56,'store.db.datasource','SEATA_GROUP','','druid','3d650fb8a5df01600281d48c47c9fa60','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,57,'store.db.dbType','SEATA_GROUP','','mysql','81c3b080dad537de7e10e0987a4bf52e','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,58,'store.db.driverClassName','SEATA_GROUP','','com.mysql.jdbc.Driver','683cf0c3a5a56cec94dfac94ca16d760','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,59,'store.db.url','SEATA_GROUP','','jdbc:mysql://127.0.0.1:3306/seata?useUnicode=true','cbb3bd573704f125fb4f2489208abaec','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,60,'store.db.user','SEATA_GROUP','','username','14c4b06b824ec593239362517f538b29','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,61,'store.db.password','SEATA_GROUP','','password','5f4dcc3b5aa765d61d8327deb882cf99','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,62,'store.db.minConn','SEATA_GROUP','','5','e4da3b7fbbce2345d7772b0674a318d5','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,63,'store.db.maxConn','SEATA_GROUP','','30','34173cb38f07f89ddbebc2ac9128303f','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,64,'store.db.globalTable','SEATA_GROUP','','global_table','8b28fb6bb4c4f984df2709381f8eba2b','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,65,'store.db.branchTable','SEATA_GROUP','','branch_table','54bcdac38cf62e103fe115bcf46a660c','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,66,'store.db.queryLimit','SEATA_GROUP','','100','f899139df5e1059396431415e770c6dd','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,67,'store.db.lockTable','SEATA_GROUP','','lock_table','55e0cae3b6dc6696b768db90098b8f2f','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,68,'store.db.maxWait','SEATA_GROUP','','5000','a35fe7f7fe8217b4369a0af4244d1fca','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,69,'store.redis.host','SEATA_GROUP','','192.168.2.186','c3fd2c04b6f81c872b07796e570b67af','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,70,'store.redis.port','SEATA_GROUP','','6379','92c3b916311a5517d9290576e3ea37ad','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,71,'store.redis.maxConn','SEATA_GROUP','','10','d3d9446802a44259755d38e6d163e820','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,72,'store.redis.minConn','SEATA_GROUP','','1','c4ca4238a0b923820dcc509a6f75849b','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,73,'store.redis.database','SEATA_GROUP','','0','cfcd208495d565ef66e7dff9f98764da','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,74,'store.redis.password','SEATA_GROUP','','123456','e10adc3949ba59abbe56e057f20f883e','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,75,'store.redis.queryLimit','SEATA_GROUP','','100','f899139df5e1059396431415e770c6dd','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,76,'server.recovery.committingRetryPeriod','SEATA_GROUP','','1000','a9b7ba70783b617e9998dc4dd82eb3c5','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,77,'server.recovery.asynCommittingRetryPeriod','SEATA_GROUP','','1000','a9b7ba70783b617e9998dc4dd82eb3c5','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,78,'server.recovery.rollbackingRetryPeriod','SEATA_GROUP','','1000','a9b7ba70783b617e9998dc4dd82eb3c5','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,79,'server.recovery.timeoutRetryPeriod','SEATA_GROUP','','1000','a9b7ba70783b617e9998dc4dd82eb3c5','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,80,'server.maxCommitRetryTimeout','SEATA_GROUP','','-1','6bb61e3b7bce0931da574d19d1d82c88','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,81,'server.maxRollbackRetryTimeout','SEATA_GROUP','','-1','6bb61e3b7bce0931da574d19d1d82c88','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,82,'server.rollbackRetryTimeoutUnlockEnable','SEATA_GROUP','','false','68934a3e9455fa72420237eb05902327','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,83,'client.undo.dataValidation','SEATA_GROUP','','true','b326b5062b2f0e69046810717534cb09','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,84,'client.undo.logSerialization','SEATA_GROUP','','jackson','b41779690b83f182acc67d6388c7bac9','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,85,'client.undo.onlyCareUpdateColumns','SEATA_GROUP','','true','b326b5062b2f0e69046810717534cb09','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,86,'server.undo.logSaveDays','SEATA_GROUP','','7','8f14e45fceea167a5a36dedd4bea2543','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,87,'server.undo.logDeletePeriod','SEATA_GROUP','','86400000','f4c122804fe9076cb2710f55c3c6e346','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,88,'client.undo.logTable','SEATA_GROUP','','undo_log','2842d229c24afe9e61437135e8306614','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,89,'client.log.exceptionRate','SEATA_GROUP','','100','f899139df5e1059396431415e770c6dd','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,90,'transport.serialization','SEATA_GROUP','','seata','b943081c423b9a5416a706524ee05d40','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,91,'transport.compressor','SEATA_GROUP','','none','334c4a4c42fdb79d7ebc3e73b517e6f8','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,92,'metrics.enabled','SEATA_GROUP','','false','68934a3e9455fa72420237eb05902327','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,93,'metrics.registryType','SEATA_GROUP','','compact','7cf74ca49c304df8150205fc915cd465','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,94,'metrics.exporterList','SEATA_GROUP','','prometheus','e4f00638b8a10e6994e67af2f832d51c','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(0,95,'metrics.exporterPrometheusPort','SEATA_GROUP','','9898','7b9dc501afe4ee11c56a4831e20cee71','2022-12-26 07:36:58','2022-12-26 07:36:58',NULL,'192.168.2.105','I',''),(50,96,'store.mode','SEATA_GROUP','','redis','86a1b907d54bf7010394bf316e183e67','2022-12-26 07:37:37','2022-12-26 07:37:38','nacos','192.168.2.105','U',''),(60,97,'store.db.url','SEATA_GROUP','','jdbc:mysql://127.0.0.1:3306/seata?useUnicode=true','cbb3bd573704f125fb4f2489208abaec','2022-12-26 07:38:22','2022-12-26 07:38:22','nacos','192.168.2.105','U',''),(62,98,'store.db.password','SEATA_GROUP','','password','5f4dcc3b5aa765d61d8327deb882cf99','2022-12-26 07:39:18','2022-12-26 07:39:19','nacos','192.168.2.105','U',''),(61,99,'store.db.user','SEATA_GROUP','','username','14c4b06b824ec593239362517f538b29','2022-12-26 07:39:40','2022-12-26 07:39:40','nacos','192.168.2.105','U',''),(1,100,'common.yaml','DEFAULT_GROUP','','spring:\n  cloud:\n    nacos:\n      discovery:\n        server-addr: 192.168.2.186:8848\n      username: nacos\n      password: nacos     \n  shardingsphere:\n    props:\n      sql:\n        show: true\n  jackson:\n    property-naming-strategy: SNAKE_CASE\n  servlet:\n    multipart:\n      enabled: true\n      max-file-size: 20MB\n      max-request-size: 20MB      \n  rabbitmq:\n    host: 192.168.2.186\n    port: 5672\n    username: guest\n    password: guest\n    virtual-host: /\n  mvc:\n    pathmatch:\n      matching-strategy: ant-path-matcher\n  security:\n    user:\n      name: \"admin\"\n      password: \"admin\"\n  #指定spring elasticsearch的健康检查地址\n  elasticsearch:\n    rest:\n      uris: [\"http://192.168.2.186:9200\"]\n#关闭数据库健康检查\nmanagement:\n  health:\n    db: false\nfeign:\n  httpclient:\n    enabled: false\n  okhttp:\n    enabled: true\n  sentinel:\n    enabled: true\n#redis 配置\nredis:\n  type: standalone\n  config:\n    type: manual\n  host: 192.168.2.186\n  port: 6379\n  password: 123456\n  maxIdle: 500\n  maxTotal: 500\n  maxWaitMillis: -1\nelastic-jest:\n  index-name: javashop     # 索引名称\n  ssl: off                 # https方式访问，一般默认是http\n  cluster-ips: 192.168.2.186   # 如果是多节点:192.168.2.1,192.168.2.2,192.168.2.3....\n  cluster-rest-port: 9200  # http默认端口\n  username:\n  password:\n# 开发环境日志为debug\njavashop:\n  product: microservice\n  license[0]: 2eedaee47fa2757007a46355f885319a78d711a18aaaf41d4cbf5027d835bd530923a971658462ba76aa8ae237ba1c63c7b526d3d307598d4c1d47925ce0a7ec8880dbd52a20c121c257616e851d3b7c7561d62a762b866a79e5eed508f38d843dd797e1d336ae9e000733b5d0a324614b8290e7ac950a4cd2e9f54a7393f5b1,4a0a2e796ef27271c887b4e52d1670f6f30ab90108ef1cabdd5afe9b3eadb2195be1b3b2c6601035af594eb06c934cb3426dea5f0afd4d5eeaf63c50e5d673b357ee715dc898c48555252124de14e9e18667dfffa4d5f683\n  license[1]: 13414ec8c6dd90d5ffe7818371756dbc4bebdcb8a09483f53c6a8603c198216382f93a93f0551e0547d7369c6635be21bdea10b1fc722b38bcf132be603698fb8466b44faeaa442a304b6b01cdd7748ec1f5f0dabe90113c2510c6e47d8068c0e489188adad98cdbbb6610598990aa45ad33a10c2ae1ae554bc851d61e3791a6,4a0a2e796ef27271c887b4e52d1670f611d19035fa22b007f840a7d31a1c9b6ae96e9f199920b0bb42bd9f06c545a6b826b68d15b0c1c266b2174fb23b8dfd8a\n  #token加密秘钥，请务必更换此词串，且注意保密\n  token-secret: 85d6ce9da4e943ff4dcd367ab3d94164\n  ssl: off\n  timeout:\n    accessTokenTimeout:  3600\n    refreshTokenTimeout: 4200\n    captchaTimout:  120\n    smscodeTimout: 120\n  domain:\n    buyer: buyer.javamall.com.cn #配置为您买家端PC的域名\n    mobileBuyer: m.buyer.javamall.com.cn  #配置为您买家端WAP的域名\n    callback: api.buyerjavamall.com.cn #请配置为您站点的买家端的api域名，如果不配置此项默认读取站点买家端api的域名，用来做支付新人登录回调\n  referer:\n    - \'*.javamall.com.cn\'\n    - \'192.168.2.12\'\n    - \'192.168.2.192\'\nxxl:\n  job:\n    admin:\n      addresses:  http://192.168.2.186:8080/xxl-job-admin\n    executor:\n      appname: timing-job-execute\n      ip:\n      port: 6999\n      logpath:  /opt/xxl-serverlogs\n      logretentiondays: -1\n    accessToken:\nserver:\n  compression:\n    #开启gzip压缩\n    enabled: true\n    mime-types: application/json\n    #1024为1KB\n    min-response-size: 102400\n# 日志文件存储路径\nlogging:\n  file:\n    path: ${LOG_PATH:/opt/logs}','20a2d47b8292b9e4465d380e2fa60bd4','2022-12-26 08:44:22','2022-12-26 08:44:22','nacos','192.168.2.105','U',''),(2,101,'consumer.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    #定义分库的数据源 这里定义了两个数据源\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.186:3306/md_trade?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','102f869dbaf77c708d30e19c81784549','2022-12-26 08:44:39','2022-12-26 08:44:39','nacos','192.168.2.105','U',''),(3,102,'distribution-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    #定义分库的数据源 这里定义了两个数据源\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.186:3306/md_distribution?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456\n','451ad408c2cd3862e5294b51f26697bc','2022-12-26 08:44:55','2022-12-26 08:44:56','nacos','192.168.2.105','U',''),(5,103,'goods-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.186:3306/md_goods?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','dcb8c7e7648a4988dbb8957f797047cb','2022-12-26 08:45:22','2022-12-26 08:45:23','nacos','192.168.2.105','U',''),(5,104,'goods-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/goods?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','da3247d1fff4a3048c39a9dbe3f844a4','2022-12-26 08:46:13','2022-12-26 08:46:14','nacos','192.168.2.105','U',''),(6,105,'live-video-service.yaml','DEFAULT_GROUP','','spring:\n  config:\n    activate:\n      on-profile: \"live-video-service\"\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.186:3306/md_goods?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','f16363d0a7224494a90bc70bad6490d4','2022-12-26 08:46:31','2022-12-26 08:46:31','nacos','192.168.2.105','U',''),(7,106,'member-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    #定义分库的数据源 这里定义了两个数据源\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.186:3306/md_member?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','67f4e47fef263b4918b9f40e69a312bf','2022-12-26 08:47:05','2022-12-26 08:47:05','nacos','192.168.2.105','U',''),(8,107,'payment-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    #定义分库的数据源 这里定义了两个数据源\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.186:3306/md_trade?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456\n','1fc4537719dc6fac690417754589dd53','2022-12-26 08:47:17','2022-12-26 08:47:18','nacos','192.168.2.105','U',''),(9,108,'promotion-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0        \n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.186:3306/md_trade?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456\n','2339e0437d12539ef54113fc5a45c76f','2022-12-26 08:47:30','2022-12-26 08:47:30','nacos','192.168.2.105','U',''),(11,109,'sentinel.yaml','DEFAULT_GROUP','','spring:\n  cloud:\n    sentinel:\n      transport:\n        port: 8719\n        dashboard: localhost:8080      \n      datasource:\n        flow:\n          nacos:\n            server-addr: 192.168.2.186:8848\n            dataId: ${spring.application.name}-flow-rules\n            groupId: SENTINEL_GROUP\n            # 规则类型，取值见：\n            # org.springframework.cloud.alibaba.sentinel.datasource.RuleType\n            rule-type: flow      \n        degrade:\n          nacos:\n            server-addr: 192.168.2.186:8848\n            dataId: ${spring.application.name}-degrade-rules\n            groupId: SENTINEL_GROUP\n            rule-type: degrade\n        system:\n          nacos:\n            server-addr: 192.168.2.186:8848\n            dataId: ${spring.application.name}-system-rules\n            groupId: SENTINEL_GROUP\n            rule-type: system\n        authority:\n          nacos:\n            server-addr: 192.168.2.186:8848\n            dataId: ${spring.application.name}-authority-rules\n            groupId: SENTINEL_GROUP\n            rule-type: authority\n        param-flow:\n          nacos:\n            server-addr: 192.168.2.186:8848\n            dataId: ${spring.application.name}-param-flow-rules\n            groupId: SENTINEL_GROUP\n            rule-type: param-flow  ','4a96e51f93cccfe014fb6172ee6e548c','2022-12-26 08:48:16','2022-12-26 08:48:17','nacos','192.168.2.105','U',''),(12,110,'statistics-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0   \n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.186:3306/md_statistics?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','1a1ad1db714c028be01e4473e561857a','2022-12-26 08:48:30','2022-12-26 08:48:31','nacos','192.168.2.105','U',''),(15,111,'system-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.186:3306/md_system?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','47654e878214405ad16fd23ef174f3fa','2022-12-26 08:49:00','2022-12-26 08:49:00','nacos','192.168.2.105','U',''),(16,112,'trade-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.218:3306/md_trade?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: enation752513\n','ee76b120911c14399e4718762d95a1df','2022-12-26 08:50:15','2022-12-26 08:50:16','nacos','192.168.2.105','U',''),(57,113,'store.db.datasource','SEATA_GROUP','','druid','3d650fb8a5df01600281d48c47c9fa60','2022-12-26 09:16:55','2022-12-26 09:16:55','nacos','192.168.2.105','U',''),(57,114,'store.db.datasource','SEATA_GROUP','','druid','3d650fb8a5df01600281d48c47c9fa60','2022-12-26 09:17:07','2022-12-26 09:17:08','nacos','192.168.2.105','U',''),(16,115,'trade-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/trade?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: enation752513\n','61c1c546253c1251335d773302a144f6','2022-12-26 09:20:59','2022-12-26 09:20:59','nacos','192.168.2.105','U',''),(0,116,'bingboxgoods-service','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://localhost:3306/bing_box_goods?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: root123456','5231264fa3778d0aa1c7125a12eeca21','2022-12-26 09:33:02','2022-12-26 09:33:02',NULL,'192.168.2.105','I',''),(0,117,'bingboxgoodsdistribution-service.yaml','DEFAULT_GROUP','','spring:\r\n  shardingsphere:\r\n    sharding:\r\n      #定义默认数据源为：ds0\r\n      default-data-source-name: ds0\r\n    #定义分库的数据源 这里定义了两个数据源\r\n    datasource:\r\n      names: ds0\r\n      ds0:\r\n        type: com.alibaba.druid.pool.DruidDataSource\r\n        driver-class-name: com.mysql.cj.jdbc.Driver\r\n        url: jdbc:mysql://localhost:3306/bing_box_goods_distribution?useUnicode=true&characterEncoding=utf8&autoReconnect=true\r\n        username: root\r\n        password: root123456\r\n','5d3743f237a0bda0886a730d7e0b13b6','2022-12-26 09:33:02','2022-12-26 09:33:02',NULL,'192.168.2.105','I',''),(118,118,'bingboxgoodsdistribution-service.yaml','DEFAULT_GROUP','','spring:\r\n  shardingsphere:\r\n    sharding:\r\n      #定义默认数据源为：ds0\r\n      default-data-source-name: ds0\r\n    #定义分库的数据源 这里定义了两个数据源\r\n    datasource:\r\n      names: ds0\r\n      ds0:\r\n        type: com.alibaba.druid.pool.DruidDataSource\r\n        driver-class-name: com.mysql.cj.jdbc.Driver\r\n        url: jdbc:mysql://localhost:3306/bing_box_goods_distribution?useUnicode=true&characterEncoding=utf8&autoReconnect=true\r\n        username: root\r\n        password: root123456\r\n','5d3743f237a0bda0886a730d7e0b13b6','2022-12-26 09:33:39','2022-12-26 09:33:40','nacos','192.168.2.105','U',''),(10,119,'seata-client.yaml','DEFAULT_GROUP','','seata:\n  enabled: true\n  application-id: ${spring.application.name}-seata\n  tx-service-group: shop-group # 事务群组（可以每个应用独立取名，也可以使用相同的名字）\n  client:\n    rm-report-success-enable: true\n    rm-table-meta-check-enable: false # 自动刷新缓存中的表结构（默认false）\n    rm-report-retry-count: 5 # 一阶段结果上报TC重试次数（默认5）\n    rm-async-commit-buffer-limit: 10000 # 异步提交缓存队列长度（默认10000）\n    rm:\n      lock:\n        lock-retry-internal: 10 # 校验或占用全局锁重试间隔（默认10ms）\n        lock-retry-times: 30 # 校验或占用全局锁重试次数（默认30）\n        lock-retry-policy-branch-rollback-on-conflict: true # 分支事务与其它全局回滚事务冲突时锁策略（优先释放本地锁让回滚成功）\n    tm-commit-retry-count: 3 # 一阶段全局提交结果上报TC重试次数（默认1次，建议大于1）\n    tm-rollback-retry-count: 3 # 一阶段全局回滚结果上报TC重试次数（默认1次，建议大于1）\n    undo:\n      undo-data-validation: true # 二阶段回滚镜像校验（默认true开启）\n      undo-log-serialization: jackson # undo序列化方式（默认jackson）\n      undo-log-table: undo_log  # 自定义undo表名（默认undo_log）\n    log:\n      exceptionRate: 100 # 日志异常输出概率（默认100）\n    support:\n      spring:\n        datasource-autoproxy: true\n  service:\n    vgroup-mapping:\n      shop-group: default # TC 集群（必须与seata-server保持一致）\n    enable-degrade: false # 降级开关\n    disable-global-transaction: false # 禁用全局事务（默认false）\n    grouplist:\n      default: 127.0.0.1:8091\n  transport:\n    shutdown:\n      wait: 3\n    thread-factory:\n      boss-thread-prefix: NettyBoss\n      worker-thread-prefix: NettyServerNIOWorker\n      server-executor-thread-prefix: NettyServerBizHandler\n      share-boss-worker: false\n      client-selector-thread-prefix: NettyClientSelector\n      client-selector-thread-size: 1\n      client-worker-thread-prefix: NettyClientWorkerThread\n    type: TCP\n    server: NIO\n    heartbeat: true\n    serialization: seata\n    compressor: none\n    enable-client-batch-send-request: true # 客户端事务消息请求是否批量合并发送（默认true）\n','c6f2466a6292238bff2836a855b4d810','2022-12-26 09:54:36','2022-12-26 09:54:37','nacos','192.168.2.105','U',''),(117,120,'bingboxgoods-service','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://localhost:3306/bing_box_goods?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: root123456','5231264fa3778d0aa1c7125a12eeca21','2022-12-27 14:19:42','2022-12-27 14:19:43','nacos','192.168.2.105','U',''),(117,121,'bingboxgoods-service','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/bing_box_goods?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: root123456','05f9e0769742d5736d6990e3d4a2f365','2022-12-27 14:21:21','2022-12-27 14:21:22','nacos','192.168.2.105','U',''),(1,122,'common.yaml','DEFAULT_GROUP','','spring:\n  cloud:\n    nacos:\n      discovery:\n        server-addr: 192.168.2.106:8848\n      username: nacos\n      password: nacos     \n  shardingsphere:\n    props:\n      sql:\n        show: true\n  jackson:\n    property-naming-strategy: SNAKE_CASE\n  servlet:\n    multipart:\n      enabled: true\n      max-file-size: 20MB\n      max-request-size: 20MB      \n  rabbitmq:\n    host: 192.168.2.106\n    port: 5672\n    username: guest\n    password: guest\n    virtual-host: /\n  mvc:\n    pathmatch:\n      matching-strategy: ant-path-matcher\n  security:\n    user:\n      name: \"admin\"\n      password: \"admin\"\n  #指定spring elasticsearch的健康检查地址\n  elasticsearch:\n    rest:\n      uris: [\"http://192.168.2.106:9200\"]\n#关闭数据库健康检查\nmanagement:\n  health:\n    db: false\nfeign:\n  httpclient:\n    enabled: false\n  okhttp:\n    enabled: true\n  sentinel:\n    enabled: true\n#redis 配置\nredis:\n  type: standalone\n  config:\n    type: manual\n  host: 192.168.2.106\n  port: 6379\n  password: 123456\n  maxIdle: 500\n  maxTotal: 500\n  maxWaitMillis: -1\nelastic-jest:\n  index-name: javashop     # 索引名称\n  ssl: off                 # https方式访问，一般默认是http\n  cluster-ips: 192.168.2.106   # 如果是多节点:192.168.2.1,192.168.2.2,192.168.2.3....\n  cluster-rest-port: 9200  # http默认端口\n  username:\n  password:\n# 开发环境日志为debug\njavashop:\n  product: microservice\n  license[0]: 2eedaee47fa2757007a46355f885319a78d711a18aaaf41d4cbf5027d835bd530923a971658462ba76aa8ae237ba1c63c7b526d3d307598d4c1d47925ce0a7ec8880dbd52a20c121c257616e851d3b7c7561d62a762b866a79e5eed508f38d843dd797e1d336ae9e000733b5d0a324614b8290e7ac950a4cd2e9f54a7393f5b1,4a0a2e796ef27271c887b4e52d1670f6f30ab90108ef1cabdd5afe9b3eadb2195be1b3b2c6601035af594eb06c934cb3426dea5f0afd4d5eeaf63c50e5d673b357ee715dc898c48555252124de14e9e18667dfffa4d5f683\n  license[1]: 13414ec8c6dd90d5ffe7818371756dbc4bebdcb8a09483f53c6a8603c198216382f93a93f0551e0547d7369c6635be21bdea10b1fc722b38bcf132be603698fb8466b44faeaa442a304b6b01cdd7748ec1f5f0dabe90113c2510c6e47d8068c0e489188adad98cdbbb6610598990aa45ad33a10c2ae1ae554bc851d61e3791a6,4a0a2e796ef27271c887b4e52d1670f611d19035fa22b007f840a7d31a1c9b6ae96e9f199920b0bb42bd9f06c545a6b826b68d15b0c1c266b2174fb23b8dfd8a\n  #token加密秘钥，请务必更换此词串，且注意保密\n  token-secret: 85d6ce9da4e943ff4dcd367ab3d94164\n  ssl: off\n  timeout:\n    accessTokenTimeout:  3600\n    refreshTokenTimeout: 4200\n    captchaTimout:  120\n    smscodeTimout: 120\n  domain:\n    buyer: buyer.javamall.com.cn #配置为您买家端PC的域名\n    mobileBuyer: m.buyer.javamall.com.cn  #配置为您买家端WAP的域名\n    callback: api.buyerjavamall.com.cn #请配置为您站点的买家端的api域名，如果不配置此项默认读取站点买家端api的域名，用来做支付新人登录回调\n  referer:\n    - \'*.javamall.com.cn\'\n    - \'192.168.2.12\'\n    - \'192.168.2.192\'\nxxl:\n  job:\n    admin:\n      addresses:  http://192.168.2.106:8080/xxl-job-admin\n    executor:\n      appname: timing-job-execute\n      ip:\n      port: 6999\n      logpath:  /opt/xxl-serverlogs\n      logretentiondays: -1\n    accessToken:\nserver:\n  compression:\n    #开启gzip压缩\n    enabled: true\n    mime-types: application/json\n    #1024为1KB\n    min-response-size: 102400\n# 日志文件存储路径\nlogging:\n  file:\n    path: ${LOG_PATH:/opt/logs}','af6291b8af4f07049c102808c2fc0139','2022-12-29 10:00:10','2022-12-29 10:00:10','nacos','192.168.2.127','U',''),(1,123,'common.yaml','DEFAULT_GROUP','','spring:\n  cloud:\n    nacos:\n      discovery:\n        server-addr: 192.168.2.106:8848\n      username: nacos\n      password: nacos     \n  shardingsphere:\n    props:\n      sql:\n        show: true\n  jackson:\n    property-naming-strategy: SNAKE_CASE\n  servlet:\n    multipart:\n      enabled: true\n      max-file-size: 20MB\n      max-request-size: 20MB      \n  rabbitmq:\n    host: 192.168.2.106\n    port: 5672\n    username: guest\n    password: guest\n    virtual-host: /\n  mvc:\n    pathmatch:\n      matching-strategy: ant-path-matcher\n  security:\n    user:\n      name: \"admin\"\n      password: \"admin\"\n  #指定spring elasticsearch的健康检查地址\n  elasticsearch:\n    rest:\n      uris: [\"http://192.168.2.106:9200\"]\n#关闭数据库健康检查\nmanagement:\n  health:\n    db: false\nfeign:\n  httpclient:\n    enabled: false\n  okhttp:\n    enabled: true\n  sentinel:\n    enabled: true\n#redis 配置\nredis:\n  type: standalone\n  config:\n    type: manual\n  host: 192.168.2.106\n  port: 6379\n  password: 123456\n  maxIdle: 500\n  maxTotal: 500\n  maxWaitMillis: -1\nelastic-jest:\n  index-name: javashop     # 索引名称\n  ssl: off                 # https方式访问，一般默认是http\n  cluster-ips: 192.168.2.106   # 如果是多节点:192.168.2.1,192.168.2.2,192.168.2.3....\n  cluster-rest-port: 9200  # http默认端口\n  username:\n  password:\n# 开发环境日志为debug\njavashop:\n  product: microservice\n  license[0]: 2eedaee47fa2757007a46355f885319a78d711a18aaaf41d4cbf5027d835bd530923a971658462ba76aa8ae237ba1c63c7b526d3d307598d4c1d47925ce0a7ec8880dbd52a20c121c257616e851d3b7c7561d62a762b866a79e5eed508f38d843dd797e1d336ae9e000733b5d0a324614b8290e7ac950a4cd2e9f54a7393f5b1,4a0a2e796ef27271c887b4e52d1670f6f30ab90108ef1cabdd5afe9b3eadb2195be1b3b2c6601035af594eb06c934cb3426dea5f0afd4d5eeaf63c50e5d673b357ee715dc898c48555252124de14e9e18667dfffa4d5f683\n  license[1]: 13414ec8c6dd90d5ffe7818371756dbc4bebdcb8a09483f53c6a8603c198216382f93a93f0551e0547d7369c6635be21bdea10b1fc722b38bcf132be603698fb8466b44faeaa442a304b6b01cdd7748ec1f5f0dabe90113c2510c6e47d8068c0e489188adad98cdbbb6610598990aa45ad33a10c2ae1ae554bc851d61e3791a6,4a0a2e796ef27271c887b4e52d1670f611d19035fa22b007f840a7d31a1c9b6ae96e9f199920b0bb42bd9f06c545a6b826b68d15b0c1c266b2174fb23b8dfd8a\n  #token加密秘钥，请务必更换此词串，且注意保密\n  token-secret: 85d6ce9da4e943ff4dcd367ab3d94164\n  ssl: off\n  timeout:\n    accessTokenTimeout:  3600\n    refreshTokenTimeout: 4200\n    captchaTimout:  120\n    smscodeTimout: 120\n  domain:\n    buyer: buyer.javamall.com.cn #配置为您买家端PC的域名\n    mobileBuyer: m.buyer.javamall.com.cn  #配置为您买家端WAP的域名\n    callback: api.buyerjavamall.com.cn #请配置为您站点的买家端的api域名，如果不配置此项默认读取站点买家端api的域名，用来做支付新人登录回调\n  referer:\n    - \'*.javamall.com.cn\'\n    - \'192.168.2.12\'\n    - \'192.168.2.192\'\nxxl:\n  job:\n    admin:\n      addresses:  http://192.168.2.106:8080/xxl-job-admin\n    executor:\n      appname: timing-job-execute\n      ip: 192.168.2.106\n      port: 6999\n      logpath:  /opt/xxl-serverlogs\n      logretentiondays: -1\n    accessToken:\nserver:\n  compression:\n    #开启gzip压缩\n    enabled: true\n    mime-types: application/json\n    #1024为1KB\n    min-response-size: 102400\n# 日志文件存储路径\nlogging:\n  file:\n    path: ${LOG_PATH:/opt/logs}','a57dbf3049e380392bcab5277e62c544','2022-12-29 10:50:03','2022-12-29 10:50:04','nacos','192.168.2.127','U',''),(1,124,'common.yaml','DEFAULT_GROUP','','spring:\n  cloud:\n    nacos:\n      discovery:\n        server-addr: 192.168.2.106:8848\n      username: nacos\n      password: nacos     \n  shardingsphere:\n    props:\n      sql:\n        show: true\n  jackson:\n    property-naming-strategy: SNAKE_CASE\n  servlet:\n    multipart:\n      enabled: true\n      max-file-size: 20MB\n      max-request-size: 20MB      \n  rabbitmq:\n    host: 192.168.2.106\n    port: 5672\n    username: guest\n    password: guest\n    virtual-host: /\n  mvc:\n    pathmatch:\n      matching-strategy: ant-path-matcher\n  security:\n    user:\n      name: \"admin\"\n      password: \"admin\"\n  #指定spring elasticsearch的健康检查地址\n  elasticsearch:\n    rest:\n      uris: [\"http://192.168.2.106:9200\"]\n#关闭数据库健康检查\nmanagement:\n  health:\n    db: false\nfeign:\n  httpclient:\n    enabled: false\n  okhttp:\n    enabled: true\n  sentinel:\n    enabled: true\n#redis 配置\nredis:\n  type: standalone\n  config:\n    type: manual\n  host: 192.168.2.106\n  port: 6379\n  password: 123456\n  maxIdle: 500\n  maxTotal: 500\n  maxWaitMillis: -1\nelastic-jest:\n  index-name: javashop     # 索引名称\n  ssl: off                 # https方式访问，一般默认是http\n  cluster-ips: 192.168.2.106   # 如果是多节点:192.168.2.1,192.168.2.2,192.168.2.3....\n  cluster-rest-port: 9200  # http默认端口\n  username:\n  password:\n# 开发环境日志为debug\njavashop:\n  product: microservice\n  license[0]: 2eedaee47fa2757007a46355f885319a78d711a18aaaf41d4cbf5027d835bd530923a971658462ba76aa8ae237ba1c63c7b526d3d307598d4c1d47925ce0a7ec8880dbd52a20c121c257616e851d3b7c7561d62a762b866a79e5eed508f38d843dd797e1d336ae9e000733b5d0a324614b8290e7ac950a4cd2e9f54a7393f5b1,4a0a2e796ef27271c887b4e52d1670f6f30ab90108ef1cabdd5afe9b3eadb2195be1b3b2c6601035af594eb06c934cb3426dea5f0afd4d5eeaf63c50e5d673b357ee715dc898c48555252124de14e9e18667dfffa4d5f683\n  license[1]: 13414ec8c6dd90d5ffe7818371756dbc4bebdcb8a09483f53c6a8603c198216382f93a93f0551e0547d7369c6635be21bdea10b1fc722b38bcf132be603698fb8466b44faeaa442a304b6b01cdd7748ec1f5f0dabe90113c2510c6e47d8068c0e489188adad98cdbbb6610598990aa45ad33a10c2ae1ae554bc851d61e3791a6,4a0a2e796ef27271c887b4e52d1670f611d19035fa22b007f840a7d31a1c9b6ae96e9f199920b0bb42bd9f06c545a6b826b68d15b0c1c266b2174fb23b8dfd8a\n  #token加密秘钥，请务必更换此词串，且注意保密\n  token-secret: 85d6ce9da4e943ff4dcd367ab3d94164\n  ssl: off\n  timeout:\n    accessTokenTimeout:  3600\n    refreshTokenTimeout: 4200\n    captchaTimout:  120\n    smscodeTimout: 120\n  domain:\n    buyer: buyer.javamall.com.cn #配置为您买家端PC的域名\n    mobileBuyer: m.buyer.javamall.com.cn  #配置为您买家端WAP的域名\n    callback: api.buyerjavamall.com.cn #请配置为您站点的买家端的api域名，如果不配置此项默认读取站点买家端api的域名，用来做支付新人登录回调\n  referer:\n    - \'*.javamall.com.cn\'\n    - \'192.168.2.12\'\n    - \'192.168.2.192\'\nxxl:\n  job:\n    admin:\n      addresses: http://192.168.2.106:8080/xxl-job-admin\n    executor:\n      appname: timing-job-execute\n      ip: 192.168.2.106\n      port: 6999\n      logpath:  /opt/xxl-serverlogs\n      logretentiondays: -1\n    accessToken:\nserver:\n  compression:\n    #开启gzip压缩\n    enabled: true\n    mime-types: application/json\n    #1024为1KB\n    min-response-size: 102400\n# 日志文件存储路径\nlogging:\n  file:\n    path: ${LOG_PATH:/opt/logs}','cd20d742099610e01ea45a3a324b3579','2023-01-04 10:15:38','2023-01-04 10:15:39','nacos','192.168.2.127','U',''),(1,125,'common.yaml','DEFAULT_GROUP','','spring:\n  cloud:\n    nacos:\n      discovery:\n        server-addr: 192.168.2.106:8848\n      username: nacos\n      password: nacos     \n  shardingsphere:\n    props:\n      sql:\n        show: true\n  jackson:\n    property-naming-strategy: SNAKE_CASE\n  servlet:\n    multipart:\n      enabled: true\n      max-file-size: 20MB\n      max-request-size: 20MB      \n  rabbitmq:\n    host: 192.168.2.106\n    port: 5672\n    username: guest\n    password: guest\n    virtual-host: /\n  mvc:\n    pathmatch:\n      matching-strategy: ant-path-matcher\n  security:\n    user:\n      name: \"admin\"\n      password: \"admin\"\n  #指定spring elasticsearch的健康检查地址\n  elasticsearch:\n    rest:\n      uris: [\"http://192.168.2.106:9200\"]\n#关闭数据库健康检查\nmanagement:\n  health:\n    db: false\nfeign:\n  httpclient:\n    enabled: false\n  okhttp:\n    enabled: true\n  sentinel:\n    enabled: true\n#redis 配置\nredis:\n  type: standalone\n  config:\n    type: manual\n  host: 192.168.2.106\n  port: 6379\n  password: 123456\n  maxIdle: 500\n  maxTotal: 500\n  maxWaitMillis: -1\nelastic-jest:\n  index-name: javashop     # 索引名称\n  ssl: off                 # https方式访问，一般默认是http\n  cluster-ips: 192.168.2.106   # 如果是多节点:192.168.2.1,192.168.2.2,192.168.2.3....\n  cluster-rest-port: 9200  # http默认端口\n  username:\n  password:\n# 开发环境日志为debug\njavashop:\n  product: microservice\n  license[0]: 2eedaee47fa2757007a46355f885319a78d711a18aaaf41d4cbf5027d835bd530923a971658462ba76aa8ae237ba1c63c7b526d3d307598d4c1d47925ce0a7ec8880dbd52a20c121c257616e851d3b7c7561d62a762b866a79e5eed508f38d843dd797e1d336ae9e000733b5d0a324614b8290e7ac950a4cd2e9f54a7393f5b1,4a0a2e796ef27271c887b4e52d1670f6f30ab90108ef1cabdd5afe9b3eadb2195be1b3b2c6601035af594eb06c934cb3426dea5f0afd4d5eeaf63c50e5d673b357ee715dc898c48555252124de14e9e18667dfffa4d5f683\n  license[1]: 13414ec8c6dd90d5ffe7818371756dbc4bebdcb8a09483f53c6a8603c198216382f93a93f0551e0547d7369c6635be21bdea10b1fc722b38bcf132be603698fb8466b44faeaa442a304b6b01cdd7748ec1f5f0dabe90113c2510c6e47d8068c0e489188adad98cdbbb6610598990aa45ad33a10c2ae1ae554bc851d61e3791a6,4a0a2e796ef27271c887b4e52d1670f611d19035fa22b007f840a7d31a1c9b6ae96e9f199920b0bb42bd9f06c545a6b826b68d15b0c1c266b2174fb23b8dfd8a\n  license[2]: 1feae277964a07cee55e43f8ebf370d061e4d0cacb035724c24c16abce951247bbe986589226d41e35a94cf8a1e4ec3c60d146ae1c257b1ad2e061a2bed579bce5453ce82aa2b54f7df072faa282c703dc0eb81b65a06858f4c7fa9bbbe5af368653aee67107054a7d40f656441336a2d8df702c7f18d683e45b47fb2b452b71,4a0a2e796ef27271c887b4e52d1670f6f30ab90108ef1cabdd5afe9b3eadb219b53e5bcb61d9c0581ead95fc831627f293909b52aace61915a07f8891d8ad8eaf85fe83a4415a34b19e20667f7621fffead092ba2be34ba2\n  #token加密秘钥，请务必更换此词串，且注意保密\n  token-secret: 85d6ce9da4e943ff4dcd367ab3d94164\n  ssl: off\n  timeout:\n    accessTokenTimeout:  3600\n    refreshTokenTimeout: 4200\n    captchaTimout:  120\n    smscodeTimout: 120\n  domain:\n    buyer: buyer.javamall.com.cn #配置为您买家端PC的域名\n    mobileBuyer: m.buyer.javamall.com.cn  #配置为您买家端WAP的域名\n    callback: api.buyerjavamall.com.cn #请配置为您站点的买家端的api域名，如果不配置此项默认读取站点买家端api的域名，用来做支付新人登录回调\n  referer:\n    - \'*.javamall.com.cn\'\n    - \'192.168.2.12\'\n    - \'192.168.2.192\'\nxxl:\n  job:\n    admin:\n      addresses: http://192.168.2.106:8080/xxl-job-admin\n    executor:\n      appname: timing-job-execute\n      ip: 192.168.2.106\n      port: 6999\n      logpath:  /opt/xxl-serverlogs\n      logretentiondays: -1\n    accessToken:\nserver:\n  compression:\n    #开启gzip压缩\n    enabled: true\n    mime-types: application/json\n    #1024为1KB\n    min-response-size: 102400\n# 日志文件存储路径\nlogging:\n  file:\n    path: ${LOG_PATH:/opt/logs}','2aec41bbe2ef463a3aa1ada7a0244c98','2023-01-04 16:12:53','2023-01-04 16:12:53','nacos','192.168.2.127','U',''),(1,126,'common.yaml','DEFAULT_GROUP','','spring:\n  cloud:\n    nacos:\n      discovery:\n        server-addr: 192.168.2.106:8848\n      username: nacos\n      password: nacos     \n  shardingsphere:\n    props:\n      sql:\n        show: true\n  jackson:\n    property-naming-strategy: SNAKE_CASE\n  servlet:\n    multipart:\n      enabled: true\n      max-file-size: 20MB\n      max-request-size: 20MB      \n  rabbitmq:\n    host: 192.168.2.106\n    port: 5672\n    username: guest\n    password: guest\n    virtual-host: /\n  mvc:\n    pathmatch:\n      matching-strategy: ant-path-matcher\n  security:\n    user:\n      name: \"admin\"\n      password: \"admin\"\n  #指定spring elasticsearch的健康检查地址\n  elasticsearch:\n    rest:\n      uris: [\"http://192.168.2.106:9200\"]\n#关闭数据库健康检查\nmanagement:\n  health:\n    db: false\nfeign:\n  httpclient:\n    enabled: false\n  okhttp:\n    enabled: true\n  sentinel:\n    enabled: true\n#redis 配置\nredis:\n  type: standalone\n  config:\n    type: manual\n  host: 192.168.2.106\n  port: 6379\n  password: 123456\n  maxIdle: 500\n  maxTotal: 500\n  maxWaitMillis: -1\nelastic-jest:\n  index-name: javashop     # 索引名称\n  ssl: off                 # https方式访问，一般默认是http\n  cluster-ips: 192.168.2.106   # 如果是多节点:192.168.2.1,192.168.2.2,192.168.2.3....\n  cluster-rest-port: 9200  # http默认端口\n  username:\n  password:\n# 开发环境日志为debug\njavashop:\n  product: microservice\n  license[0]: 2eedaee47fa2757007a46355f885319a78d711a18aaaf41d4cbf5027d835bd530923a971658462ba76aa8ae237ba1c63c7b526d3d307598d4c1d47925ce0a7ec8880dbd52a20c121c257616e851d3b7c7561d62a762b866a79e5eed508f38d843dd797e1d336ae9e000733b5d0a324614b8290e7ac950a4cd2e9f54a7393f5b1,4a0a2e796ef27271c887b4e52d1670f6f30ab90108ef1cabdd5afe9b3eadb2195be1b3b2c6601035af594eb06c934cb3426dea5f0afd4d5eeaf63c50e5d673b357ee715dc898c48555252124de14e9e18667dfffa4d5f683\n  license[1]: 13414ec8c6dd90d5ffe7818371756dbc4bebdcb8a09483f53c6a8603c198216382f93a93f0551e0547d7369c6635be21bdea10b1fc722b38bcf132be603698fb8466b44faeaa442a304b6b01cdd7748ec1f5f0dabe90113c2510c6e47d8068c0e489188adad98cdbbb6610598990aa45ad33a10c2ae1ae554bc851d61e3791a6,4a0a2e796ef27271c887b4e52d1670f611d19035fa22b007f840a7d31a1c9b6ae96e9f199920b0bb42bd9f06c545a6b826b68d15b0c1c266b2174fb23b8dfd8a\n  license[2]: 1feae277964a07cee55e43f8ebf370d061e4d0cacb035724c24c16abce951247bbe986589226d41e35a94cf8a1e4ec3c60d146ae1c257b1ad2e061a2bed579bce5453ce82aa2b54f7df072faa282c703dc0eb81b65a06858f4c7fa9bbbe5af368653aee67107054a7d40f656441336a2d8df702c7f18d683e45b47fb2b452b71,4a0a2e796ef27271c887b4e52d1670f6f30ab90108ef1cabdd5afe9b3eadb219b53e5bcb61d9c0581ead95fc831627f293909b52aace61915a07f8891d8ad8eaf85fe83a4415a34b19e20667f7621fffead092ba2be34ba2\n  license[3]: 7083877b367c1001676a0854c868be222fe6ec6b19980bd68de51f64cc7f4be17d6b1ce80356432fbe04ce8265f2f27789126bf89ef5c6125593443589a4cc89a0049f20e4e2ad46f753f476f9a8da8df633bee3b7b2cbf342804f622500700bfbaa813e1eab9a8dc5a56344b19a418a4335560419640a22955a7d0fea4dceea,4a0a2e796ef27271c887b4e52d1670f611d19035fa22b007d0d7895888164e4c1e5c007e8c30c6cee3c0efb4bddf9c6f977da11ed13069a5\n  #token加密秘钥，请务必更换此词串，且注意保密\n  token-secret: 85d6ce9da4e943ff4dcd367ab3d94164\n  ssl: off\n  timeout:\n    accessTokenTimeout:  3600\n    refreshTokenTimeout: 4200\n    captchaTimout:  120\n    smscodeTimout: 120\n  domain:\n    buyer: buyer.javamall.com.cn #配置为您买家端PC的域名\n    mobileBuyer: m.buyer.javamall.com.cn  #配置为您买家端WAP的域名\n    callback: api.buyerjavamall.com.cn #请配置为您站点的买家端的api域名，如果不配置此项默认读取站点买家端api的域名，用来做支付新人登录回调\n  referer:\n    - \'*.javamall.com.cn\'\n    - \'192.168.2.12\'\n    - \'192.168.2.192\'\nxxl:\n  job:\n    admin:\n      addresses: http://192.168.2.106:8080/xxl-job-admin\n    executor:\n      appname: timing-job-execute\n      ip: 192.168.2.106\n      port: 6999\n      logpath:  /opt/xxl-serverlogs\n      logretentiondays: -1\n    accessToken:\nserver:\n  compression:\n    #开启gzip压缩\n    enabled: true\n    mime-types: application/json\n    #1024为1KB\n    min-response-size: 102400\n# 日志文件存储路径\nlogging:\n  file:\n    path: ${LOG_PATH:/opt/logs}','b29e1473c8b455897ad0d9e0b1a20a2f','2023-01-04 16:19:34','2023-01-04 16:19:34','nacos','192.168.2.127','U',''),(1,127,'common.yaml','DEFAULT_GROUP','','spring:\n  cloud:\n    nacos:\n      discovery:\n        server-addr: 192.168.2.106:8848\n      username: nacos\n      password: nacos     \n  shardingsphere:\n    props:\n      sql:\n        show: true\n  jackson:\n    property-naming-strategy: SNAKE_CASE\n  servlet:\n    multipart:\n      enabled: true\n      max-file-size: 20MB\n      max-request-size: 20MB      \n  rabbitmq:\n    host: 192.168.2.106\n    port: 5672\n    username: guest\n    password: guest\n    virtual-host: /\n  mvc:\n    pathmatch:\n      matching-strategy: ant-path-matcher\n  security:\n    user:\n      name: \"admin\"\n      password: \"admin\"\n  #指定spring elasticsearch的健康检查地址\n  elasticsearch:\n    rest:\n      uris: [\"http://192.168.2.106:9200\"]\n#关闭数据库健康检查\nmanagement:\n  health:\n    db: false\nfeign:\n  httpclient:\n    enabled: false\n  okhttp:\n    enabled: true\n  sentinel:\n    enabled: true\n#redis 配置\nredis:\n  type: standalone\n  config:\n    type: manual\n  host: 192.168.2.106\n  port: 6379\n  password: 123456\n  maxIdle: 500\n  maxTotal: 500\n  maxWaitMillis: -1\nelastic-jest:\n  index-name: javashop     # 索引名称\n  ssl: off                 # https方式访问，一般默认是http\n  cluster-ips: 192.168.2.106   # 如果是多节点:192.168.2.1,192.168.2.2,192.168.2.3....\n  cluster-rest-port: 9200  # http默认端口\n  username:\n  password:\n# 开发环境日志为debug\njavashop:\n  product: microservice\n  license[0]: 2eedaee47fa2757007a46355f885319a78d711a18aaaf41d4cbf5027d835bd530923a971658462ba76aa8ae237ba1c63c7b526d3d307598d4c1d47925ce0a7ec8880dbd52a20c121c257616e851d3b7c7561d62a762b866a79e5eed508f38d843dd797e1d336ae9e000733b5d0a324614b8290e7ac950a4cd2e9f54a7393f5b1,4a0a2e796ef27271c887b4e52d1670f6f30ab90108ef1cabdd5afe9b3eadb2195be1b3b2c6601035af594eb06c934cb3426dea5f0afd4d5eeaf63c50e5d673b357ee715dc898c48555252124de14e9e18667dfffa4d5f683\n  license[1]: 13414ec8c6dd90d5ffe7818371756dbc4bebdcb8a09483f53c6a8603c198216382f93a93f0551e0547d7369c6635be21bdea10b1fc722b38bcf132be603698fb8466b44faeaa442a304b6b01cdd7748ec1f5f0dabe90113c2510c6e47d8068c0e489188adad98cdbbb6610598990aa45ad33a10c2ae1ae554bc851d61e3791a6,4a0a2e796ef27271c887b4e52d1670f611d19035fa22b007f840a7d31a1c9b6ae96e9f199920b0bb42bd9f06c545a6b826b68d15b0c1c266b2174fb23b8dfd8a\n  license[2]: 1feae277964a07cee55e43f8ebf370d061e4d0cacb035724c24c16abce951247bbe986589226d41e35a94cf8a1e4ec3c60d146ae1c257b1ad2e061a2bed579bce5453ce82aa2b54f7df072faa282c703dc0eb81b65a06858f4c7fa9bbbe5af368653aee67107054a7d40f656441336a2d8df702c7f18d683e45b47fb2b452b71,4a0a2e796ef27271c887b4e52d1670f6f30ab90108ef1cabdd5afe9b3eadb219b53e5bcb61d9c0581ead95fc831627f293909b52aace61915a07f8891d8ad8eaf85fe83a4415a34b19e20667f7621fffead092ba2be34ba2\n  license[3]: 7083877b367c1001676a0854c868be222fe6ec6b19980bd68de51f64cc7f4be17d6b1ce80356432fbe04ce8265f2f27789126bf89ef5c6125593443589a4cc89a0049f20e4e2ad46f753f476f9a8da8df633bee3b7b2cbf342804f622500700bfbaa813e1eab9a8dc5a56344b19a418a4335560419640a22955a7d0fea4dceea,4a0a2e796ef27271c887b4e52d1670f611d19035fa22b007d0d7895888164e4c1e5c007e8c30c6cee3c0efb4bddf9c6f977da11ed13069a5\n  #token加密秘钥，请务必更换此词串，且注意保密\n  token-secret: 85d6ce9da4e943ff4dcd367ab3d94164\n  ssl: off\n  timeout:\n    accessTokenTimeout:  3600\n    refreshTokenTimeout: 4200\n    captchaTimout:  120\n    smscodeTimout: 120\n  domain:\n    buyer: buyer.javamall.com.cn #配置为您买家端PC的域名\n    mobileBuyer: http://qugou666.natapp1.cc  #配置为您买家端WAP的域名\n    callback: http://t3cqgk.natappfree.cc #请配置为您站点的买家端的api域名，如果不配置此项默认读取站点买家端api的域名，用来做支付新人登录回调\n  referer:\n    - \'*.javamall.com.cn\'\n    - \'192.168.2.12\'\n    - \'192.168.2.192\'\nxxl:\n  job:\n    admin:\n      addresses: http://192.168.2.106:8080/xxl-job-admin\n    executor:\n      appname: timing-job-execute\n      ip: 192.168.2.106\n      port: 6999\n      logpath:  /opt/xxl-serverlogs\n      logretentiondays: -1\n    accessToken:\nserver:\n  compression:\n    #开启gzip压缩\n    enabled: true\n    mime-types: application/json\n    #1024为1KB\n    min-response-size: 102400\n# 日志文件存储路径\nlogging:\n  file:\n    path: ${LOG_PATH:/opt/logs}','6faffc2ea4259fc4c41fe495ba29bb8c','2023-01-05 13:46:34','2023-01-05 13:46:35','nacos','192.168.2.127','U',''),(1,128,'common.yaml','DEFAULT_GROUP','','spring:\n  cloud:\n    nacos:\n      discovery:\n        server-addr: 192.168.2.106:8848\n      username: nacos\n      password: nacos     \n  shardingsphere:\n    props:\n      sql:\n        show: true\n  jackson:\n    property-naming-strategy: SNAKE_CASE\n  servlet:\n    multipart:\n      enabled: true\n      max-file-size: 20MB\n      max-request-size: 20MB      \n  rabbitmq:\n    host: 192.168.2.106\n    port: 5672\n    username: guest\n    password: guest\n    virtual-host: /\n  mvc:\n    pathmatch:\n      matching-strategy: ant-path-matcher\n  security:\n    user:\n      name: \"admin\"\n      password: \"admin\"\n  #指定spring elasticsearch的健康检查地址\n  elasticsearch:\n    rest:\n      uris: [\"http://192.168.2.106:9200\"]\n#关闭数据库健康检查\nmanagement:\n  health:\n    db: false\nfeign:\n  httpclient:\n    enabled: false\n  okhttp:\n    enabled: true\n  sentinel:\n    enabled: true\n#redis 配置\nredis:\n  type: standalone\n  config:\n    type: manual\n  host: 192.168.2.106\n  port: 6379\n  password: 123456\n  maxIdle: 500\n  maxTotal: 500\n  maxWaitMillis: -1\nelastic-jest:\n  index-name: javashop     # 索引名称\n  ssl: off                 # https方式访问，一般默认是http\n  cluster-ips: 192.168.2.106   # 如果是多节点:192.168.2.1,192.168.2.2,192.168.2.3....\n  cluster-rest-port: 9200  # http默认端口\n  username:\n  password:\n# 开发环境日志为debug\njavashop:\n  product: microservice\n  license[0]: 2eedaee47fa2757007a46355f885319a78d711a18aaaf41d4cbf5027d835bd530923a971658462ba76aa8ae237ba1c63c7b526d3d307598d4c1d47925ce0a7ec8880dbd52a20c121c257616e851d3b7c7561d62a762b866a79e5eed508f38d843dd797e1d336ae9e000733b5d0a324614b8290e7ac950a4cd2e9f54a7393f5b1,4a0a2e796ef27271c887b4e52d1670f6f30ab90108ef1cabdd5afe9b3eadb2195be1b3b2c6601035af594eb06c934cb3426dea5f0afd4d5eeaf63c50e5d673b357ee715dc898c48555252124de14e9e18667dfffa4d5f683\n  license[1]: 13414ec8c6dd90d5ffe7818371756dbc4bebdcb8a09483f53c6a8603c198216382f93a93f0551e0547d7369c6635be21bdea10b1fc722b38bcf132be603698fb8466b44faeaa442a304b6b01cdd7748ec1f5f0dabe90113c2510c6e47d8068c0e489188adad98cdbbb6610598990aa45ad33a10c2ae1ae554bc851d61e3791a6,4a0a2e796ef27271c887b4e52d1670f611d19035fa22b007f840a7d31a1c9b6ae96e9f199920b0bb42bd9f06c545a6b826b68d15b0c1c266b2174fb23b8dfd8a\n  license[2]: 1feae277964a07cee55e43f8ebf370d061e4d0cacb035724c24c16abce951247bbe986589226d41e35a94cf8a1e4ec3c60d146ae1c257b1ad2e061a2bed579bce5453ce82aa2b54f7df072faa282c703dc0eb81b65a06858f4c7fa9bbbe5af368653aee67107054a7d40f656441336a2d8df702c7f18d683e45b47fb2b452b71,4a0a2e796ef27271c887b4e52d1670f6f30ab90108ef1cabdd5afe9b3eadb219b53e5bcb61d9c0581ead95fc831627f293909b52aace61915a07f8891d8ad8eaf85fe83a4415a34b19e20667f7621fffead092ba2be34ba2\n  license[3]: 7083877b367c1001676a0854c868be222fe6ec6b19980bd68de51f64cc7f4be17d6b1ce80356432fbe04ce8265f2f27789126bf89ef5c6125593443589a4cc89a0049f20e4e2ad46f753f476f9a8da8df633bee3b7b2cbf342804f622500700bfbaa813e1eab9a8dc5a56344b19a418a4335560419640a22955a7d0fea4dceea,4a0a2e796ef27271c887b4e52d1670f611d19035fa22b007d0d7895888164e4c1e5c007e8c30c6cee3c0efb4bddf9c6f977da11ed13069a5\n  license[4]: 15c3ec82d61cccc700110ce553adcebc123f0444ed835045a880367cf19b69a77f939db783c7aa6884c2aa06f2c4e95d41d494930126a668296109859433f320635f8e664f667c8572d3c15b8ce901135a4cde2af5d72da73df5035b64bf1b4792f65273a474c82079a0aadde01122e28a4c576009ae688b50b5d438653f216d,4a0a2e796ef27271c887b4e52d1670f611d19035fa22b007d0d7895888164e4c5384dda204841568f75558627b7548041807abf8b462c5ca337631aaa17e011a\n  #token加密秘钥，请务必更换此词串，且注意保密\n  token-secret: 85d6ce9da4e943ff4dcd367ab3d94164\n  ssl: off\n  timeout:\n    accessTokenTimeout:  3600\n    refreshTokenTimeout: 4200\n    captchaTimout:  120\n    smscodeTimout: 120\n  domain:\n    buyer: buyer.javamall.com.cn #配置为您买家端PC的域名\n    mobileBuyer: http://qugou666.natapp1.cc  #配置为您买家端WAP的域名\n    callback: http://t3cqgk.natappfree.cc #请配置为您站点的买家端的api域名，如果不配置此项默认读取站点买家端api的域名，用来做支付新人登录回调\n  referer:\n    - \'*.javamall.com.cn\'\n    - \'192.168.2.12\'\n    - \'192.168.2.192\'\nxxl:\n  job:\n    admin:\n      addresses: http://192.168.2.106:8080/xxl-job-admin\n    executor:\n      appname: timing-job-execute\n      ip: 192.168.2.106\n      port: 6999\n      logpath:  /opt/xxl-serverlogs\n      logretentiondays: -1\n    accessToken:\nserver:\n  compression:\n    #开启gzip压缩\n    enabled: true\n    mime-types: application/json\n    #1024为1KB\n    min-response-size: 102400\n# 日志文件存储路径\nlogging:\n  file:\n    path: ${LOG_PATH:/opt/logs}','082bf3985eaba49f0d4b8ec26c930a30','2023-01-11 07:44:41','2023-01-11 07:44:41','nacos','192.168.2.127','U',''),(2,129,'consumer.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    #定义分库的数据源 这里定义了两个数据源\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/trade?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','50c07b2c6ed0440b2f7bb5227c587505','2023-01-11 07:44:52','2023-01-11 07:44:53','nacos','192.168.2.127','U',''),(3,130,'distribution-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    #定义分库的数据源 这里定义了两个数据源\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/distribution?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456\n','4ed22a569445b00609ebcbf8d363b43e','2023-01-11 07:45:03','2023-01-11 07:45:03','nacos','192.168.2.127','U',''),(5,131,'goods-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/goods?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','da3247d1fff4a3048c39a9dbe3f844a4','2023-01-11 07:45:19','2023-01-11 07:45:19','nacos','192.168.2.127','U',''),(6,132,'live-video-service.yaml','DEFAULT_GROUP','','spring:\n  config:\n    activate:\n      on-profile: \"live-video-service\"\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/goods?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','5c966cd2bd1d084d2b4039781c187829','2023-01-11 07:45:34','2023-01-11 07:45:34','nacos','192.168.2.127','U',''),(7,133,'member-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    #定义分库的数据源 这里定义了两个数据源\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/member?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','51270eab5fd0d9ca7ca6b559166d305f','2023-01-11 07:45:45','2023-01-11 07:45:46','nacos','192.168.2.127','U',''),(8,134,'payment-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    #定义分库的数据源 这里定义了两个数据源\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/trade?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456\n','57655da996e5eeedc2cbf522d66b7b08','2023-01-11 07:45:56','2023-01-11 07:45:57','nacos','192.168.2.127','U',''),(9,135,'promotion-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0        \n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/trade?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456\n','c19d3e2759bf33680cbea94d5c2a2afa','2023-01-11 07:46:09','2023-01-11 07:46:10','nacos','192.168.2.127','U',''),(10,136,'seata-client.yaml','DEFAULT_GROUP','','seata:\n  enabled: true\n  application-id: ${spring.application.name}-seata\n  tx-service-group: shop-group # 事务群组（可以每个应用独立取名，也可以使用相同的名字）\n  client:\n    rm-report-success-enable: true\n    rm-table-meta-check-enable: false # 自动刷新缓存中的表结构（默认false）\n    rm-report-retry-count: 5 # 一阶段结果上报TC重试次数（默认5）\n    rm-async-commit-buffer-limit: 10000 # 异步提交缓存队列长度（默认10000）\n    rm:\n      lock:\n        lock-retry-internal: 10 # 校验或占用全局锁重试间隔（默认10ms）\n        lock-retry-times: 30 # 校验或占用全局锁重试次数（默认30）\n        lock-retry-policy-branch-rollback-on-conflict: true # 分支事务与其它全局回滚事务冲突时锁策略（优先释放本地锁让回滚成功）\n    tm-commit-retry-count: 3 # 一阶段全局提交结果上报TC重试次数（默认1次，建议大于1）\n    tm-rollback-retry-count: 3 # 一阶段全局回滚结果上报TC重试次数（默认1次，建议大于1）\n    undo:\n      undo-data-validation: true # 二阶段回滚镜像校验（默认true开启）\n      undo-log-serialization: jackson # undo序列化方式（默认jackson）\n      undo-log-table: undo_log  # 自定义undo表名（默认undo_log）\n    log:\n      exceptionRate: 100 # 日志异常输出概率（默认100）\n    support:\n      spring:\n        datasource-autoproxy: true\n  service:\n    vgroup-mapping:\n      shop-group: default # TC 集群（必须与seata-server保持一致）\n    enable-degrade: false # 降级开关\n    disable-global-transaction: false # 禁用全局事务（默认false）\n    grouplist:\n      default: 192.168.2.106:8091\n  transport:\n    shutdown:\n      wait: 3\n    thread-factory:\n      boss-thread-prefix: NettyBoss\n      worker-thread-prefix: NettyServerNIOWorker\n      server-executor-thread-prefix: NettyServerBizHandler\n      share-boss-worker: false\n      client-selector-thread-prefix: NettyClientSelector\n      client-selector-thread-size: 1\n      client-worker-thread-prefix: NettyClientWorkerThread\n    type: TCP\n    server: NIO\n    heartbeat: true\n    serialization: seata\n    compressor: none\n    enable-client-batch-send-request: true # 客户端事务消息请求是否批量合并发送（默认true）\n','ec74f00251401888609919c066b79adc','2023-01-11 07:46:22','2023-01-11 07:46:23','nacos','192.168.2.127','U',''),(11,137,'sentinel.yaml','DEFAULT_GROUP','','spring:\n  cloud:\n    sentinel:\n      transport:\n        port: 8719\n        dashboard: 192.168.2.106:8080      \n      datasource:\n        flow:\n          nacos:\n            server-addr: 192.168.2.106:8848\n            dataId: ${spring.application.name}-flow-rules\n            groupId: SENTINEL_GROUP\n            # 规则类型，取值见：\n            # org.springframework.cloud.alibaba.sentinel.datasource.RuleType\n            rule-type: flow      \n        degrade:\n          nacos:\n            server-addr: 192.168.2.106:8848\n            dataId: ${spring.application.name}-degrade-rules\n            groupId: SENTINEL_GROUP\n            rule-type: degrade\n        system:\n          nacos:\n            server-addr: 192.168.2.106:8848\n            dataId: ${spring.application.name}-system-rules\n            groupId: SENTINEL_GROUP\n            rule-type: system\n        authority:\n          nacos:\n            server-addr: 192.168.2.106:8848\n            dataId: ${spring.application.name}-authority-rules\n            groupId: SENTINEL_GROUP\n            rule-type: authority\n        param-flow:\n          nacos:\n            server-addr: 192.168.2.106:8848\n            dataId: ${spring.application.name}-param-flow-rules\n            groupId: SENTINEL_GROUP\n            rule-type: param-flow  ','7a2e169ee5841646c63a2199cf9d8a39','2023-01-11 07:46:54','2023-01-11 07:46:55','nacos','192.168.2.127','U',''),(12,138,'statistics-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0   \n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/statistics?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','928748c6a278d5bfea28afe4e6aa38f7','2023-01-11 07:47:07','2023-01-11 07:47:07','nacos','192.168.2.127','U',''),(15,139,'system-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/system?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','4c1ec9bc206ea4b3077dc7a640e16843','2023-01-11 07:47:36','2023-01-11 07:47:36','nacos','192.168.2.127','U',''),(16,140,'trade-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/trade?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456\n','c3a323ed0d422ee9ca726003906ff593','2023-01-11 07:47:57','2023-01-11 07:47:57','nacos','192.168.2.127','U',''),(60,141,'store.db.url','SEATA_GROUP','','jdbc:mysql://192.168.2.106:3306/seata?useUnicode=true','cf821422f4acab34dc462ea015821a75','2023-01-11 07:51:26','2023-01-11 07:51:26','nacos','192.168.2.127','U',''),(117,142,'bingboxgoods-service','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/bing_box_goods?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','e4846e109fdade8e46eec592b3c33a3c','2023-01-11 07:55:16','2023-01-11 07:55:17','nacos','192.168.2.127','U',''),(118,143,'bingboxgoodsdistribution-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    #定义分库的数据源 这里定义了两个数据源\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/bing_box_goods_distribution?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456\n','dbaf40d626368623fe1d786fa5c7b805','2023-01-11 07:55:30','2023-01-11 07:55:30','nacos','192.168.2.127','U',''),(1,144,'common.yaml','DEFAULT_GROUP','','spring:\n  cloud:\n    nacos:\n      discovery:\n        server-addr: 192.168.2.107:8848\n      username: nacos\n      password: nacos     \n  shardingsphere:\n    props:\n      sql:\n        show: true\n  jackson:\n    property-naming-strategy: SNAKE_CASE\n  servlet:\n    multipart:\n      enabled: true\n      max-file-size: 20MB\n      max-request-size: 20MB      \n  rabbitmq:\n    host: 192.168.2.107\n    port: 5672\n    username: guest\n    password: guest\n    virtual-host: /\n  mvc:\n    pathmatch:\n      matching-strategy: ant-path-matcher\n  security:\n    user:\n      name: \"admin\"\n      password: \"admin\"\n  #指定spring elasticsearch的健康检查地址\n  elasticsearch:\n    rest:\n      uris: [\"http://192.168.2.107:9200\"]\n#关闭数据库健康检查\nmanagement:\n  health:\n    db: false\nfeign:\n  httpclient:\n    enabled: false\n  okhttp:\n    enabled: true\n  sentinel:\n    enabled: true\n#redis 配置\nredis:\n  type: standalone\n  config:\n    type: manual\n  host: 192.168.2.107\n  port: 6379\n  password: 123456\n  maxIdle: 500\n  maxTotal: 500\n  maxWaitMillis: -1\nelastic-jest:\n  index-name: javashop     # 索引名称\n  ssl: off                 # https方式访问，一般默认是http\n  cluster-ips: 192.168.2.107   # 如果是多节点:192.168.2.1,192.168.2.2,192.168.2.3....\n  cluster-rest-port: 9200  # http默认端口\n  username:\n  password:\n# 开发环境日志为debug\njavashop:\n  product: microservice\n  license[0]: 2eedaee47fa2757007a46355f885319a78d711a18aaaf41d4cbf5027d835bd530923a971658462ba76aa8ae237ba1c63c7b526d3d307598d4c1d47925ce0a7ec8880dbd52a20c121c257616e851d3b7c7561d62a762b866a79e5eed508f38d843dd797e1d336ae9e000733b5d0a324614b8290e7ac950a4cd2e9f54a7393f5b1,4a0a2e796ef27271c887b4e52d1670f6f30ab90108ef1cabdd5afe9b3eadb2195be1b3b2c6601035af594eb06c934cb3426dea5f0afd4d5eeaf63c50e5d673b357ee715dc898c48555252124de14e9e18667dfffa4d5f683\n  license[1]: 13414ec8c6dd90d5ffe7818371756dbc4bebdcb8a09483f53c6a8603c198216382f93a93f0551e0547d7369c6635be21bdea10b1fc722b38bcf132be603698fb8466b44faeaa442a304b6b01cdd7748ec1f5f0dabe90113c2510c6e47d8068c0e489188adad98cdbbb6610598990aa45ad33a10c2ae1ae554bc851d61e3791a6,4a0a2e796ef27271c887b4e52d1670f611d19035fa22b007f840a7d31a1c9b6ae96e9f199920b0bb42bd9f06c545a6b826b68d15b0c1c266b2174fb23b8dfd8a\n  license[2]: 1feae277964a07cee55e43f8ebf370d061e4d0cacb035724c24c16abce951247bbe986589226d41e35a94cf8a1e4ec3c60d146ae1c257b1ad2e061a2bed579bce5453ce82aa2b54f7df072faa282c703dc0eb81b65a06858f4c7fa9bbbe5af368653aee67107054a7d40f656441336a2d8df702c7f18d683e45b47fb2b452b71,4a0a2e796ef27271c887b4e52d1670f6f30ab90108ef1cabdd5afe9b3eadb219b53e5bcb61d9c0581ead95fc831627f293909b52aace61915a07f8891d8ad8eaf85fe83a4415a34b19e20667f7621fffead092ba2be34ba2\n  license[3]: 7083877b367c1001676a0854c868be222fe6ec6b19980bd68de51f64cc7f4be17d6b1ce80356432fbe04ce8265f2f27789126bf89ef5c6125593443589a4cc89a0049f20e4e2ad46f753f476f9a8da8df633bee3b7b2cbf342804f622500700bfbaa813e1eab9a8dc5a56344b19a418a4335560419640a22955a7d0fea4dceea,4a0a2e796ef27271c887b4e52d1670f611d19035fa22b007d0d7895888164e4c1e5c007e8c30c6cee3c0efb4bddf9c6f977da11ed13069a5\n  license[4]: 15c3ec82d61cccc700110ce553adcebc123f0444ed835045a880367cf19b69a77f939db783c7aa6884c2aa06f2c4e95d41d494930126a668296109859433f320635f8e664f667c8572d3c15b8ce901135a4cde2af5d72da73df5035b64bf1b4792f65273a474c82079a0aadde01122e28a4c576009ae688b50b5d438653f216d,4a0a2e796ef27271c887b4e52d1670f611d19035fa22b007d0d7895888164e4c5384dda204841568f75558627b7548041807abf8b462c5ca337631aaa17e011a\n  #token加密秘钥，请务必更换此词串，且注意保密\n  token-secret: 85d6ce9da4e943ff4dcd367ab3d94164\n  ssl: off\n  timeout:\n    accessTokenTimeout:  3600\n    refreshTokenTimeout: 4200\n    captchaTimout:  120\n    smscodeTimout: 120\n  domain:\n    buyer: buyer.javamall.com.cn #配置为您买家端PC的域名\n    mobileBuyer: http://qugou666.natapp1.cc  #配置为您买家端WAP的域名\n    callback: http://t3cqgk.natappfree.cc #请配置为您站点的买家端的api域名，如果不配置此项默认读取站点买家端api的域名，用来做支付新人登录回调\n  referer:\n    - \'*.javamall.com.cn\'\n    - \'192.168.2.12\'\n    - \'192.168.2.192\'\nxxl:\n  job:\n    admin:\n      addresses: http://192.168.2.107:8080/xxl-job-admin\n    executor:\n      appname: timing-job-execute\n      ip: 192.168.2.107\n      port: 6999\n      logpath:  /opt/xxl-serverlogs\n      logretentiondays: -1\n    accessToken:\nserver:\n  compression:\n    #开启gzip压缩\n    enabled: true\n    mime-types: application/json\n    #1024为1KB\n    min-response-size: 102400\n# 日志文件存储路径\nlogging:\n  file:\n    path: ${LOG_PATH:/opt/logs}','145b119ee879f58afbe4c53cc0811c04','2023-01-12 10:44:09','2023-01-12 10:44:09','nacos','172.17.0.1','U',''),(2,145,'consumer.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    #定义分库的数据源 这里定义了两个数据源\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.107:3306/trade?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','392fda547167c32f7e2026eef8bc8eaf','2023-01-12 10:44:26','2023-01-12 10:44:27','nacos','172.17.0.1','U',''),(3,146,'distribution-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    #定义分库的数据源 这里定义了两个数据源\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.107:3306/distribution?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456\n','dcce4cfa9d733698d2c23e80f6f9584b','2023-01-12 10:44:47','2023-01-12 10:44:47','nacos','172.17.0.1','U',''),(5,147,'goods-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.107:3306/goods?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','59b6b9eeef8e303358d166ab0a4a43f1','2023-01-12 10:47:18','2023-01-12 10:47:18','nacos','172.17.0.1','U',''),(6,148,'live-video-service.yaml','DEFAULT_GROUP','','spring:\n  config:\n    activate:\n      on-profile: \"live-video-service\"\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.107:3306/goods?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','e41ef94d0027e9b831e12c8015f854b3','2023-01-12 10:47:29','2023-01-12 10:47:29','nacos','172.17.0.1','U',''),(7,149,'member-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    #定义分库的数据源 这里定义了两个数据源\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.107:3306/member?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','66cf11a5e5e31db5a7503ea66feb2896','2023-01-12 10:47:42','2023-01-12 10:47:43','nacos','172.17.0.1','U',''),(8,150,'payment-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    #定义分库的数据源 这里定义了两个数据源\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.107:3306/trade?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456\n','21dd9a9d3aabb334e0be917905c55999','2023-01-12 10:47:53','2023-01-12 10:47:53','nacos','172.17.0.1','U',''),(9,151,'promotion-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0        \n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.107:3306/trade?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456\n','56626b643754b1c2ad7c5a1d8418fd8b','2023-01-12 10:48:05','2023-01-12 10:48:05','nacos','172.17.0.1','U',''),(10,152,'seata-client.yaml','DEFAULT_GROUP','','seata:\n  enabled: true\n  application-id: ${spring.application.name}-seata\n  tx-service-group: shop-group # 事务群组（可以每个应用独立取名，也可以使用相同的名字）\n  client:\n    rm-report-success-enable: true\n    rm-table-meta-check-enable: false # 自动刷新缓存中的表结构（默认false）\n    rm-report-retry-count: 5 # 一阶段结果上报TC重试次数（默认5）\n    rm-async-commit-buffer-limit: 10000 # 异步提交缓存队列长度（默认10000）\n    rm:\n      lock:\n        lock-retry-internal: 10 # 校验或占用全局锁重试间隔（默认10ms）\n        lock-retry-times: 30 # 校验或占用全局锁重试次数（默认30）\n        lock-retry-policy-branch-rollback-on-conflict: true # 分支事务与其它全局回滚事务冲突时锁策略（优先释放本地锁让回滚成功）\n    tm-commit-retry-count: 3 # 一阶段全局提交结果上报TC重试次数（默认1次，建议大于1）\n    tm-rollback-retry-count: 3 # 一阶段全局回滚结果上报TC重试次数（默认1次，建议大于1）\n    undo:\n      undo-data-validation: true # 二阶段回滚镜像校验（默认true开启）\n      undo-log-serialization: jackson # undo序列化方式（默认jackson）\n      undo-log-table: undo_log  # 自定义undo表名（默认undo_log）\n    log:\n      exceptionRate: 100 # 日志异常输出概率（默认100）\n    support:\n      spring:\n        datasource-autoproxy: true\n  service:\n    vgroup-mapping:\n      shop-group: default # TC 集群（必须与seata-server保持一致）\n    enable-degrade: false # 降级开关\n    disable-global-transaction: false # 禁用全局事务（默认false）\n    grouplist:\n      default: 192.168.2.107:8091\n  transport:\n    shutdown:\n      wait: 3\n    thread-factory:\n      boss-thread-prefix: NettyBoss\n      worker-thread-prefix: NettyServerNIOWorker\n      server-executor-thread-prefix: NettyServerBizHandler\n      share-boss-worker: false\n      client-selector-thread-prefix: NettyClientSelector\n      client-selector-thread-size: 1\n      client-worker-thread-prefix: NettyClientWorkerThread\n    type: TCP\n    server: NIO\n    heartbeat: true\n    serialization: seata\n    compressor: none\n    enable-client-batch-send-request: true # 客户端事务消息请求是否批量合并发送（默认true）\n','aafafcc8c865a5da4473974be8150dfa','2023-01-12 10:48:19','2023-01-12 10:48:19','nacos','172.17.0.1','U',''),(11,153,'sentinel.yaml','DEFAULT_GROUP','','spring:\n  cloud:\n    sentinel:\n      transport:\n        port: 8719\n        dashboard: 192.168.2.107:8080      \n      datasource:\n        flow:\n          nacos:\n            server-addr: 192.168.2.107:8848\n            dataId: ${spring.application.name}-flow-rules\n            groupId: SENTINEL_GROUP\n            # 规则类型，取值见：\n            # org.springframework.cloud.alibaba.sentinel.datasource.RuleType\n            rule-type: flow      \n        degrade:\n          nacos:\n            server-addr: 192.168.2.107:8848\n            dataId: ${spring.application.name}-degrade-rules\n            groupId: SENTINEL_GROUP\n            rule-type: degrade\n        system:\n          nacos:\n            server-addr: 192.168.2.107:8848\n            dataId: ${spring.application.name}-system-rules\n            groupId: SENTINEL_GROUP\n            rule-type: system\n        authority:\n          nacos:\n            server-addr: 192.168.2.107:8848\n            dataId: ${spring.application.name}-authority-rules\n            groupId: SENTINEL_GROUP\n            rule-type: authority\n        param-flow:\n          nacos:\n            server-addr: 192.168.2.107:8848\n            dataId: ${spring.application.name}-param-flow-rules\n            groupId: SENTINEL_GROUP\n            rule-type: param-flow  ','b308f3dd958285dab65dd4a614123db5','2023-01-12 10:48:50','2023-01-12 10:48:51','nacos','172.17.0.1','U',''),(12,154,'statistics-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0   \n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.107:3306/statistics?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','eb47fbb09c90fbc5273d57478eeb660d','2023-01-12 10:49:01','2023-01-12 10:49:02','nacos','172.17.0.1','U',''),(15,155,'system-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.107:3306/system?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','00512a451024281859e66f9c2a8666d8','2023-01-12 10:49:31','2023-01-12 10:49:32','nacos','172.17.0.1','U',''),(16,156,'trade-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.107:3306/trade?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456\n','b7fa0e03a9702e00e86574e4131824f3','2023-01-12 10:49:42','2023-01-12 10:49:42','nacos','172.17.0.1','U',''),(118,157,'bingboxgoodsdistribution-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    #定义分库的数据源 这里定义了两个数据源\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.107:3306/bing_box_goods_distribution?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456\n','5e00b32a37ab372ac7a61dafc8b8252b','2023-01-12 11:34:31','2023-01-12 11:34:32','nacos','192.168.2.127','U',''),(117,158,'bingboxgoods-service','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.107:3306/bing_box_goods?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','738bbf65ed4b94ba2b7c670581a032f6','2023-01-12 11:34:43','2023-01-12 11:34:43','nacos','192.168.2.127','U',''),(10,159,'seata-client.yaml','DEFAULT_GROUP','','seata:\n  enabled: true\n  application-id: ${spring.application.name}-seata\n  tx-service-group: shop-group # 事务群组（可以每个应用独立取名，也可以使用相同的名字）\n  client:\n    rm-report-success-enable: true\n    rm-table-meta-check-enable: false # 自动刷新缓存中的表结构（默认false）\n    rm-report-retry-count: 5 # 一阶段结果上报TC重试次数（默认5）\n    rm-async-commit-buffer-limit: 10000 # 异步提交缓存队列长度（默认10000）\n    rm:\n      lock:\n        lock-retry-internal: 10 # 校验或占用全局锁重试间隔（默认10ms）\n        lock-retry-times: 30 # 校验或占用全局锁重试次数（默认30）\n        lock-retry-policy-branch-rollback-on-conflict: true # 分支事务与其它全局回滚事务冲突时锁策略（优先释放本地锁让回滚成功）\n    tm-commit-retry-count: 3 # 一阶段全局提交结果上报TC重试次数（默认1次，建议大于1）\n    tm-rollback-retry-count: 3 # 一阶段全局回滚结果上报TC重试次数（默认1次，建议大于1）\n    undo:\n      undo-data-validation: true # 二阶段回滚镜像校验（默认true开启）\n      undo-log-serialization: jackson # undo序列化方式（默认jackson）\n      undo-log-table: undo_log  # 自定义undo表名（默认undo_log）\n    log:\n      exceptionRate: 100 # 日志异常输出概率（默认100）\n    support:\n      spring:\n        datasource-autoproxy: true\n  service:\n    vgroup-mapping:\n      shop-group: default # TC 集群（必须与seata-server保持一致）\n    enable-degrade: false # 降级开关\n    disable-global-transaction: false # 禁用全局事务（默认false）\n    grouplist:\n      default: 192.168.2.106:8091\n  transport:\n    shutdown:\n      wait: 3\n    thread-factory:\n      boss-thread-prefix: NettyBoss\n      worker-thread-prefix: NettyServerNIOWorker\n      server-executor-thread-prefix: NettyServerBizHandler\n      share-boss-worker: false\n      client-selector-thread-prefix: NettyClientSelector\n      client-selector-thread-size: 1\n      client-worker-thread-prefix: NettyClientWorkerThread\n    type: TCP\n    server: NIO\n    heartbeat: true\n    serialization: seata\n    compressor: none\n    enable-client-batch-send-request: true # 客户端事务消息请求是否批量合并发送（默认true）\n','ec74f00251401888609919c066b79adc','2023-01-12 11:42:22','2023-01-12 11:42:22','nacos','192.168.2.127','U',''),(60,160,'store.db.url','SEATA_GROUP','','jdbc:mysql://192.168.2.107:3306/seata?useUnicode=true','dcf0edfeac02d357463a702894e59c7e','2023-01-12 11:46:53','2023-01-12 11:46:53','nacos','192.168.2.127','U',''),(2,161,'consumer.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    #定义分库的数据源 这里定义了两个数据源\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/trade?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','50c07b2c6ed0440b2f7bb5227c587505','2023-01-12 12:21:42','2023-01-12 12:21:42','nacos','172.17.0.1','U',''),(3,162,'distribution-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    #定义分库的数据源 这里定义了两个数据源\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/distribution?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456\n','4ed22a569445b00609ebcbf8d363b43e','2023-01-12 12:22:17','2023-01-12 12:22:17','nacos','172.17.0.1','U',''),(5,163,'goods-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/goods?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','da3247d1fff4a3048c39a9dbe3f844a4','2023-01-12 12:22:36','2023-01-12 12:22:36','nacos','172.17.0.1','U',''),(6,164,'live-video-service.yaml','DEFAULT_GROUP','','spring:\n  config:\n    activate:\n      on-profile: \"live-video-service\"\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/goods?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','5c966cd2bd1d084d2b4039781c187829','2023-01-12 12:22:50','2023-01-12 12:22:50','nacos','172.17.0.1','U',''),(7,165,'member-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    #定义分库的数据源 这里定义了两个数据源\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/member?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','51270eab5fd0d9ca7ca6b559166d305f','2023-01-12 12:22:59','2023-01-12 12:23:00','nacos','172.17.0.1','U',''),(8,166,'payment-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    #定义分库的数据源 这里定义了两个数据源\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/trade?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456\n','57655da996e5eeedc2cbf522d66b7b08','2023-01-12 12:23:16','2023-01-12 12:23:17','nacos','172.17.0.1','U',''),(9,167,'promotion-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0        \n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/trade?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456\n','c19d3e2759bf33680cbea94d5c2a2afa','2023-01-12 12:23:24','2023-01-12 12:23:25','nacos','172.17.0.1','U',''),(12,168,'statistics-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0   \n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/statistics?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','928748c6a278d5bfea28afe4e6aa38f7','2023-01-12 12:23:45','2023-01-12 12:23:45','nacos','172.17.0.1','U',''),(15,169,'system-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/system?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','4c1ec9bc206ea4b3077dc7a640e16843','2023-01-12 12:24:08','2023-01-12 12:24:08','nacos','172.17.0.1','U',''),(16,170,'trade-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/trade?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456\n','c3a323ed0d422ee9ca726003906ff593','2023-01-12 12:24:18','2023-01-12 12:24:19','nacos','172.17.0.1','U',''),(62,171,'store.db.password','SEATA_GROUP','','123456','e10adc3949ba59abbe56e057f20f883e','2023-01-12 12:27:35','2023-01-12 12:27:36','nacos','172.17.0.1','U',''),(117,172,'bingboxgoods-service','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/bing_box_goods?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456','e4846e109fdade8e46eec592b3c33a3c','2023-01-12 12:30:09','2023-01-12 12:30:10','nacos','172.17.0.1','U',''),(118,173,'bingboxgoodsdistribution-service.yaml','DEFAULT_GROUP','','spring:\n  shardingsphere:\n    sharding:\n      #定义默认数据源为：ds0\n      default-data-source-name: ds0\n    #定义分库的数据源 这里定义了两个数据源\n    datasource:\n      names: ds0\n      ds0:\n        type: com.alibaba.druid.pool.DruidDataSource\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        url: jdbc:mysql://192.168.2.106:3306/bing_box_goods_distribution?useUnicode=true&characterEncoding=utf8&autoReconnect=true\n        username: root\n        password: 123456\n','dbaf40d626368623fe1d786fa5c7b805','2023-01-12 12:30:18','2023-01-12 12:30:19','nacos','172.17.0.1','U',''),(1,174,'common.yaml','DEFAULT_GROUP','','spring:\n  cloud:\n    nacos:\n      discovery:\n        server-addr: 192.168.2.106:8848\n      username: nacos\n      password: nacos     \n  shardingsphere:\n    props:\n      sql:\n        show: true\n  jackson:\n    property-naming-strategy: SNAKE_CASE\n  servlet:\n    multipart:\n      enabled: true\n      max-file-size: 20MB\n      max-request-size: 20MB      \n  rabbitmq:\n    host: 192.168.2.106\n    port: 5672\n    username: guest\n    password: guest\n    virtual-host: /\n  mvc:\n    pathmatch:\n      matching-strategy: ant-path-matcher\n  security:\n    user:\n      name: \"admin\"\n      password: \"admin\"\n  #指定spring elasticsearch的健康检查地址\n  elasticsearch:\n    rest:\n      uris: [\"http://192.168.2.106:9200\"]\n#关闭数据库健康检查\nmanagement:\n  health:\n    db: false\nfeign:\n  httpclient:\n    enabled: false\n  okhttp:\n    enabled: true\n  sentinel:\n    enabled: true\n#redis 配置\nredis:\n  type: standalone\n  config:\n    type: manual\n  host: 192.168.2.106\n  port: 6379\n  password: 123456\n  maxIdle: 500\n  maxTotal: 500\n  maxWaitMillis: -1\nelastic-jest:\n  index-name: javashop     # 索引名称\n  ssl: off                 # https方式访问，一般默认是http\n  cluster-ips: 192.168.2.106   # 如果是多节点:192.168.2.1,192.168.2.2,192.168.2.3....\n  cluster-rest-port: 9200  # http默认端口\n  username:\n  password:\n# 开发环境日志为debug\njavashop:\n  product: microservice\n  license[0]: 2eedaee47fa2757007a46355f885319a78d711a18aaaf41d4cbf5027d835bd530923a971658462ba76aa8ae237ba1c63c7b526d3d307598d4c1d47925ce0a7ec8880dbd52a20c121c257616e851d3b7c7561d62a762b866a79e5eed508f38d843dd797e1d336ae9e000733b5d0a324614b8290e7ac950a4cd2e9f54a7393f5b1,4a0a2e796ef27271c887b4e52d1670f6f30ab90108ef1cabdd5afe9b3eadb2195be1b3b2c6601035af594eb06c934cb3426dea5f0afd4d5eeaf63c50e5d673b357ee715dc898c48555252124de14e9e18667dfffa4d5f683\n  license[1]: 13414ec8c6dd90d5ffe7818371756dbc4bebdcb8a09483f53c6a8603c198216382f93a93f0551e0547d7369c6635be21bdea10b1fc722b38bcf132be603698fb8466b44faeaa442a304b6b01cdd7748ec1f5f0dabe90113c2510c6e47d8068c0e489188adad98cdbbb6610598990aa45ad33a10c2ae1ae554bc851d61e3791a6,4a0a2e796ef27271c887b4e52d1670f611d19035fa22b007f840a7d31a1c9b6ae96e9f199920b0bb42bd9f06c545a6b826b68d15b0c1c266b2174fb23b8dfd8a\n  license[2]: 1feae277964a07cee55e43f8ebf370d061e4d0cacb035724c24c16abce951247bbe986589226d41e35a94cf8a1e4ec3c60d146ae1c257b1ad2e061a2bed579bce5453ce82aa2b54f7df072faa282c703dc0eb81b65a06858f4c7fa9bbbe5af368653aee67107054a7d40f656441336a2d8df702c7f18d683e45b47fb2b452b71,4a0a2e796ef27271c887b4e52d1670f6f30ab90108ef1cabdd5afe9b3eadb219b53e5bcb61d9c0581ead95fc831627f293909b52aace61915a07f8891d8ad8eaf85fe83a4415a34b19e20667f7621fffead092ba2be34ba2\n  license[3]: 7083877b367c1001676a0854c868be222fe6ec6b19980bd68de51f64cc7f4be17d6b1ce80356432fbe04ce8265f2f27789126bf89ef5c6125593443589a4cc89a0049f20e4e2ad46f753f476f9a8da8df633bee3b7b2cbf342804f622500700bfbaa813e1eab9a8dc5a56344b19a418a4335560419640a22955a7d0fea4dceea,4a0a2e796ef27271c887b4e52d1670f611d19035fa22b007d0d7895888164e4c1e5c007e8c30c6cee3c0efb4bddf9c6f977da11ed13069a5\n  license[4]: 15c3ec82d61cccc700110ce553adcebc123f0444ed835045a880367cf19b69a77f939db783c7aa6884c2aa06f2c4e95d41d494930126a668296109859433f320635f8e664f667c8572d3c15b8ce901135a4cde2af5d72da73df5035b64bf1b4792f65273a474c82079a0aadde01122e28a4c576009ae688b50b5d438653f216d,4a0a2e796ef27271c887b4e52d1670f611d19035fa22b007d0d7895888164e4c5384dda204841568f75558627b7548041807abf8b462c5ca337631aaa17e011a\n  #token加密秘钥，请务必更换此词串，且注意保密\n  token-secret: 85d6ce9da4e943ff4dcd367ab3d94164\n  ssl: off\n  timeout:\n    accessTokenTimeout:  3600\n    refreshTokenTimeout: 4200\n    captchaTimout:  120\n    smscodeTimout: 120\n  domain:\n    buyer: buyer.javamall.com.cn #配置为您买家端PC的域名\n    mobileBuyer: http://qugou666.natapp1.cc  #配置为您买家端WAP的域名\n    callback: http://t3cqgk.natappfree.cc #请配置为您站点的买家端的api域名，如果不配置此项默认读取站点买家端api的域名，用来做支付新人登录回调\n  referer:\n    - \'*.javamall.com.cn\'\n    - \'192.168.2.12\'\n    - \'192.168.2.192\'\nxxl:\n  job:\n    admin:\n      addresses: http://192.168.2.106:8080/xxl-job-admin\n    executor:\n      appname: timing-job-execute\n      ip: 192.168.2.106\n      port: 6999\n      logpath:  /opt/xxl-serverlogs\n      logretentiondays: -1\n    accessToken:\nserver:\n  compression:\n    #开启gzip压缩\n    enabled: true\n    mime-types: application/json\n    #1024为1KB\n    min-response-size: 102400\n# 日志文件存储路径\nlogging:\n  file:\n    path: ${LOG_PATH:/opt/logs}','082bf3985eaba49f0d4b8ec26c930a30','2023-01-18 08:23:01','2023-01-18 08:23:01','nacos','192.168.2.127','U',''),(1,175,'common.yaml','DEFAULT_GROUP','','spring:\n  cloud:\n    nacos:\n      discovery:\n        server-addr: 192.168.2.106:8848\n      username: nacos\n      password: nacos     \n  shardingsphere:\n    props:\n      sql:\n        show: true\n  jackson:\n    property-naming-strategy: SNAKE_CASE\n  servlet:\n    multipart:\n      enabled: true\n      max-file-size: 20MB\n      max-request-size: 20MB      \n  rabbitmq:\n    host: 192.168.2.106\n    port: 5672\n    username: guest\n    password: guest\n    virtual-host: /\n  mvc:\n    pathmatch:\n      matching-strategy: ant-path-matcher\n  security:\n    user:\n      name: \"admin\"\n      password: \"admin\"\n  #指定spring elasticsearch的健康检查地址\n  elasticsearch:\n    rest:\n      uris: [\"http://192.168.2.106:9200\"]\n#关闭数据库健康检查\nmanagement:\n  health:\n    db: false\nfeign:\n  httpclient:\n    enabled: false\n  okhttp:\n    enabled: true\n  sentinel:\n    enabled: true\n#redis 配置\nredis:\n  type: standalone\n  config:\n    type: manual\n  host: 192.168.2.106\n  port: 6379\n  password: 123456\n  maxIdle: 500\n  maxTotal: 500\n  maxWaitMillis: -1\nelastic-jest:\n  index-name: javashop     # 索引名称\n  ssl: off                 # https方式访问，一般默认是http\n  cluster-ips: 192.168.2.106   # 如果是多节点:192.168.2.1,192.168.2.2,192.168.2.3....\n  cluster-rest-port: 9200  # http默认端口\n  username:\n  password:\n# 开发环境日志为debug\njavashop:\n  product: microservice\n  license[0]: 2eedaee47fa2757007a46355f885319a78d711a18aaaf41d4cbf5027d835bd530923a971658462ba76aa8ae237ba1c63c7b526d3d307598d4c1d47925ce0a7ec8880dbd52a20c121c257616e851d3b7c7561d62a762b866a79e5eed508f38d843dd797e1d336ae9e000733b5d0a324614b8290e7ac950a4cd2e9f54a7393f5b1,4a0a2e796ef27271c887b4e52d1670f6f30ab90108ef1cabdd5afe9b3eadb2195be1b3b2c6601035af594eb06c934cb3426dea5f0afd4d5eeaf63c50e5d673b357ee715dc898c48555252124de14e9e18667dfffa4d5f683\n  license[1]: 13414ec8c6dd90d5ffe7818371756dbc4bebdcb8a09483f53c6a8603c198216382f93a93f0551e0547d7369c6635be21bdea10b1fc722b38bcf132be603698fb8466b44faeaa442a304b6b01cdd7748ec1f5f0dabe90113c2510c6e47d8068c0e489188adad98cdbbb6610598990aa45ad33a10c2ae1ae554bc851d61e3791a6,4a0a2e796ef27271c887b4e52d1670f611d19035fa22b007f840a7d31a1c9b6ae96e9f199920b0bb42bd9f06c545a6b826b68d15b0c1c266b2174fb23b8dfd8a\n  license[2]: 1feae277964a07cee55e43f8ebf370d061e4d0cacb035724c24c16abce951247bbe986589226d41e35a94cf8a1e4ec3c60d146ae1c257b1ad2e061a2bed579bce5453ce82aa2b54f7df072faa282c703dc0eb81b65a06858f4c7fa9bbbe5af368653aee67107054a7d40f656441336a2d8df702c7f18d683e45b47fb2b452b71,4a0a2e796ef27271c887b4e52d1670f6f30ab90108ef1cabdd5afe9b3eadb219b53e5bcb61d9c0581ead95fc831627f293909b52aace61915a07f8891d8ad8eaf85fe83a4415a34b19e20667f7621fffead092ba2be34ba2\n  license[3]: 7083877b367c1001676a0854c868be222fe6ec6b19980bd68de51f64cc7f4be17d6b1ce80356432fbe04ce8265f2f27789126bf89ef5c6125593443589a4cc89a0049f20e4e2ad46f753f476f9a8da8df633bee3b7b2cbf342804f622500700bfbaa813e1eab9a8dc5a56344b19a418a4335560419640a22955a7d0fea4dceea,4a0a2e796ef27271c887b4e52d1670f611d19035fa22b007d0d7895888164e4c1e5c007e8c30c6cee3c0efb4bddf9c6f977da11ed13069a5\n  license[4]: 15c3ec82d61cccc700110ce553adcebc123f0444ed835045a880367cf19b69a77f939db783c7aa6884c2aa06f2c4e95d41d494930126a668296109859433f320635f8e664f667c8572d3c15b8ce901135a4cde2af5d72da73df5035b64bf1b4792f65273a474c82079a0aadde01122e28a4c576009ae688b50b5d438653f216d,4a0a2e796ef27271c887b4e52d1670f611d19035fa22b007d0d7895888164e4c5384dda204841568f75558627b7548041807abf8b462c5ca337631aaa17e011a\n  license[5]: 84d41465fde3aa75ea1e0f5565de06de63becd0d79436b4e3065355a6e925720f3b79327666db88828ef38276abe2e32240d4dfadd2753de3d41ac0c56f743bc15da3f0e62134d2f4e077b4ef7fe0168381067dbfb9b7d7dcc735b46bb0d6ee12c71e5f6be9adda649753a22f173dc6bb595293f524dd9463c780dd21cfabd44,4a0a2e796ef27271c887b4e52d1670f611d19035fa22b0078fc781055e2a68357c3b75c95db32f82cb9bce8e822872fee6f7399393694afb338112748f906ec7\n  #token加密秘钥，请务必更换此词串，且注意保密\n  token-secret: 85d6ce9da4e943ff4dcd367ab3d94164\n  ssl: off\n  timeout:\n    accessTokenTimeout:  3600\n    refreshTokenTimeout: 4200\n    captchaTimout:  120\n    smscodeTimout: 120\n  domain:\n    buyer: buyer.javamall.com.cn #配置为您买家端PC的域名\n    mobileBuyer: http://qugou666.natapp1.cc  #配置为您买家端WAP的域名\n    callback: http://t3cqgk.natappfree.cc #请配置为您站点的买家端的api域名，如果不配置此项默认读取站点买家端api的域名，用来做支付新人登录回调\n  referer:\n    - \'*.javamall.com.cn\'\n    - \'192.168.2.12\'\n    - \'192.168.2.192\'\nxxl:\n  job:\n    admin:\n      addresses: http://192.168.2.106:8080/xxl-job-admin\n    executor:\n      appname: timing-job-execute\n      ip: 192.168.2.106\n      port: 6999\n      logpath:  /opt/xxl-serverlogs\n      logretentiondays: -1\n    accessToken:\nserver:\n  compression:\n    #开启gzip压缩\n    enabled: true\n    mime-types: application/json\n    #1024为1KB\n    min-response-size: 102400\n# 日志文件存储路径\nlogging:\n  file:\n    path: ${LOG_PATH:/opt/logs}','13edc14ed831bc0a103904fbc07e8a1b','2023-01-18 09:51:23','2023-01-18 09:51:24','nacos','192.168.2.127','U','');
commit;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `permissions` (
  `role` varchar(50) COLLATE utf8_bin NOT NULL,
  `resource` varchar(255) COLLATE utf8_bin NOT NULL,
  `action` varchar(8) COLLATE utf8_bin NOT NULL,
  UNIQUE KEY `uk_role_permission` (`role`,`resource`,`action`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
commit;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `roles` (
  `username` varchar(50) COLLATE utf8_bin NOT NULL,
  `role` varchar(50) COLLATE utf8_bin NOT NULL,
  UNIQUE KEY `idx_user_role` (`username`,`role`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
INSERT INTO `roles` VALUES ('nacos','ROLE_ADMIN');
commit;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tenant_capacity` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `tenant_id` varchar(128) COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT 'Tenant ID',
  `quota` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '配额，0表示使用默认值',
  `usage` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '使用量',
  `max_size` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '单个配置大小上限，单位为字节，0表示使用默认值',
  `max_aggr_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '聚合子配置最大个数',
  `max_aggr_size` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '单个聚合数据的子配置大小上限，单位为字节，0表示使用默认值',
  `max_history_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '最大变更历史数量',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_tenant_id` (`tenant_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='租户容量信息表';
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
commit;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tenant_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `kp` varchar(128) COLLATE utf8_bin NOT NULL COMMENT 'kp',
  `tenant_id` varchar(128) COLLATE utf8_bin DEFAULT '' COMMENT 'tenant_id',
  `tenant_name` varchar(128) COLLATE utf8_bin DEFAULT '' COMMENT 'tenant_name',
  `tenant_desc` varchar(256) COLLATE utf8_bin DEFAULT NULL COMMENT 'tenant_desc',
  `create_source` varchar(32) COLLATE utf8_bin DEFAULT NULL COMMENT 'create_source',
  `gmt_create` bigint(20) NOT NULL COMMENT '创建时间',
  `gmt_modified` bigint(20) NOT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`),
  UNIQUE KEY `uk_tenant_info_kptenantid` (`kp`,`tenant_id`),
  KEY `idx_tenant_id` (`tenant_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin COMMENT='tenant_info';
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
commit;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `username` varchar(50) COLLATE utf8_bin NOT NULL,
  `password` varchar(500) COLLATE utf8_bin NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  PRIMARY KEY (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;
set autocommit=0;
INSERT INTO `users` VALUES ('nacos','$2a$10$EuWPZHzz32dJN7jexM34MOeYirDdFAZm2kuWj7VEOJhhZkDrxfvUu',1);
commit;
SET AUTOCOMMIT=1;
SET UNIQUE_CHECKS=1;
SET FOREIGN_KEY_CHECKS=1;
